<?php
/**
 * This file outputs interview test as a do test page
 * 
 * 
 * This file outputs given test id as a do test form 
 *
 * @package            
 * @version            
 * @uses               
 * @see                
 * @copyright          2016, BizyCorp Internal Systems Development
 * @license            private, All rights reserved
 * @created            Apr 28, 2016 by user
 * @modified           Apr 28, 2016 by user
 * @modification       
 *
 */
include 'html_head.php';
if(isset($msg['type']) && $msg['type']!=""){
	if($msg['type']=='success'){
		echo "<div class='alert alert-success' style='width: 350px; margin: auto;' ><strong>Success : </strong> ".$msg['msg']."</div>";
	}elseif($msg['type']=='error'){
		echo "<div class='alert alert-danger' style='width: 350px; margin: auto;' ><strong>Error : </strong> ".$msg['msg']."</div>";
	}
	exit;
}
?>
<style>
#min_left{
    width: 125px;
    font-size: 25px;
    text-align: center;
    padding: 10px;
    border-radius: 0 0 10px 10px;
    position: fixed;
    top: 0;
    right: 10px;
    z-index: 10000;
    font-weight: bold;
    box-shadow: 0px 2px 5px 2px gray;
}
</style>
<div class="container">
	<div class="row">
		<div class="col-md-8 col-md-offset-2"><!-- col-md-offset-3 -->
			<form class="form-horizontal" method="post" action="" enctype="multipart/form-data" id="do_test_form" >
				<input type="hidden" value="<?=$test_data[1]['IT_id']?>" name="test_id" />
				<input type="hidden" value="<?=$app_id?>" name="app_id" />
				<input type="hidden" value="<?=$test_data[1]['post_id']?>" name="post_id" />
				<input type="hidden" value="<?=$test_data[1]['duration']?>" name="duration" />
				<input type="hidden" value="" name="date" id='date' />
				<?php 
				if(!empty($msg)){
					if($msg['type']=='error' || $msg['type']=='success'){
						$classtag = ($msg['type']=='success')?('alert-success'):('alert-danger');
						echo "<div class='alert $classtag ' role='alert'>";
						echo "<strong>".ucfirst($msg['type'])."!</strong> ".$msg['msg'];
						echo "</div>";
					}
				}
				else{
				?>
				<div class="panel panel-default">
					<div class="panel-heading">
						<?=$test_data[1]['name']?>
						<div style="float: right">
							<div id="end_time"></div>
							<div id="current_time"></div>
						</div>
						<br/><br/>
					</div>
					<div class="panel-body">
	  					<h3><?=$test_data[1]['user_guide']?></h3>
	  					<?php
	  					$i=1;
	  					foreach($questions as $q_value){
	  						echo "($i) ".$q_value['question']."<br>";
							echo '<input type="hidden" name="quiz['.$q_value['ITQ_id'].'][id]" value="'.$q_value['ITQ_id'].'" >';
	  						echo '<input type="hidden" name="quiz['.$q_value['ITQ_id'].'][type]" value="'.$q_value['type'].'" >';
	  						
	  						//checking mcq or essay
	  						if($q_value['type'] == 'MCQ'){
								foreach($choices as $k=>$v){
	  								if($k == $q_value['ITQ_id'] ){
	  									foreach($v as $c1){
	  										echo '<input type="radio" name="quiz['.$q_value['ITQ_id'].'][selected_choice]" value="'.$c1['choice'].'" style="margin-left:20px;"> '. $c1['choice'].'<br>';
	  									}
	  								}
	  							}
	  						}
	  						else{
	  							echo '<textarea cols="100" rows="3" name="quiz['.$q_value['ITQ_id'].'][answer]" style="width:100%;" ></textarea>';
	  						}
	  						echo '<br><br>';
	  						$i++;
	  					}
	  					?>
  					</div><!-- panel body -->
				</div><!-- panel -->
				<div class="col-md-12  text-center">
					<input type="hidden" name="csrf_user_form_token" value="<?php echo $this->security->get_csrf_hash();?>">
					<button type="submit" class="btn btn-primary">Submit</button>
					<button type="reset" class="btn btn-primary">Reset</button>
				</div>
				<?}?>
			</div><!-- end of col-md-6 -->
			<div class="col-md-6 "></div>
		</form>
	</div><!-- end row -->
</div><!-- end content -->
<?php 
//form data validation and js codes are in html_footer_include.php file
include 'html_footer_include.php';
include 'navigation.php';
?>
<?php if(empty($msg)){?>
<div id="min_left"></div>
<script type="text/javascript">
<!--
function addZero(i) {
    if(i<10) { i="0"+i; }
    return i;
}

//end time
var end_d = new Date("<?=$schedule_data['scheduled_datetime']?>");
end_d.setMinutes(end_d.getMinutes()+<?=$test_data[1]['duration']?>);
end_day	= end_d.getFullYear()+"-"+addZero((end_d.getMonth()+1))+"-"+addZero(end_d.getDate());
end_time= addZero(end_d.getHours())+":"+addZero(end_d.getMinutes())+":"+addZero(end_d.getSeconds());
$("#end_time").html("End Time : "+end_day+" "+end_time);
$("#date").val(end_day+" "+end_time);

<? $date = explode(" ",$schedule_data['scheduled_datetime']); ?>
schedule_date = "<?=$date[0]?>"; 
schedule_time = "<?=$date[1]?>";

var myVar = setInterval(myTimer ,1000);
function myTimer() {
	var d = new Date();
	test_day = d.getFullYear()+"-"+addZero((d.getMonth()+1))+"-"+addZero(d.getDate());
	test_time= addZero(d.getHours())+":"+addZero(d.getMinutes())+":"+addZero(d.getSeconds());
	test_date = test_day+" "+test_time;

	var test_minutes = (d.getHours()*60+d.getMinutes()); //Hours are worth 60 minutes.
	var end_minutes = (end_d.getHours()*60+end_d.getMinutes()); //Hours are worth 60 minutes.
	left = end_minutes-test_minutes;
	
	$('#min_left').html(end_minutes-test_minutes+" min");
	$('#current_time').html("Your Time: "+test_date);
	
	$("#min_left").addClass("alert-success");
	$("#min_left").removeClass("alert-danger");
	
	if(test_time>=end_time){
		$("#min_left").removeClass("alert-success");
		$("#min_left").addClass("alert-danger");
		if((end_minutes-test_minutes)==-1){
			clearInterval(myVar);
			alert("We are Sorry. Your due time is over and test will submit..!");
			document.getElementById("do_test_form").submit();
		}
	}
}
//-->
</script>
<?php }?>
