<?php
/**
 * Auto Generated CI View
 *
 *
 * This view file generates the add / edit form in HTML format using the forms object
 *
 * @package			HRM\view\interview_test_question_form
 * @version			1.0
 * @uses
 * @see
 * @copyright		2016, BizyCorp Internal Systems Development
 * @license			private, All rights reserved
 * @author			CIGen (Automated CI Code Generator)
 *
 */

if ( ! defined('BASEPATH')) exit('No direct script access allowed');

/**
 * This view file generates the add / edit form in HTML format using the forms object
 *
 * @package      HRM\view\interview_test_question_form 
 * @version      1.0
 * @copyright    2016, BizyCorp Internal Systems Development
 * @license      private, All rights reserved
 * @author       CIGen (Automated CI Code Generator)
 * @uses
 * @see
 * @created    	Sep 18, 2016
 * @modified   	
 * @modification
 */
class interview_test_question_form{
	// Just a dummy clas for phpdoc to catch the doc header.
}

if(isset($_SESSION['user_name'])){
	$user_name=$_SESSION["user_name"];
	$user_type=$_SESSION["user_type"];
}else{
	$user_name='';
	$user_type='';
}

$mode = isset($mode)? $mode: "";

//$formstatus to handle form close and grid reload check for save status success and failure
$formstatus	= isset($formstatus)? $formstatus: "";
$ITQ_id		= isset($ITQ_id)? $ITQ_id : "";
$question 	= isset($question)? $question: "";
$type 		= isset($type)? $type: "";

$log_create = new log_object();
$log_create->set_disable($this->config->item('log_status'));
$log_create->set_userDetails($user_name, $user_type);
$log_create->set_otherDetails(array('Mode'=>"interview_test_question_form-$mode",'Data'=>$ITQ_id));
$log_create->init();

$fieldset_title ="Test Question (".ucfirst($mode).")";
?>

<div id="info2" style="padding: 3px; margin: 3px; text-align: center; font-family:Arial; font-size:13px; font-style:italic; color:red;">
	<?php if(isset($message['msgText'])) echo $message['msgText']; ?>
</div>
<div id="toolbarObj"></div>
<div id="formbox" style="font-family:Arial; font-size:12px;">
<?
//Create new form
$disabled = ($mode=='delete')?' disabled="disabled" ':null;

$myForm = new form_object('step_definition_form') ;
$myForm->formOpenTag = array('method' => 'post',
	'action'  => '#',
	'attributes' => array('enctype' => 'multipart/form-data','onsubmit' => 'return inputValidate()')
);
$mode_field = new field('mode','hidden',array('id'=>'mode','value'=>$mode,'required_mark' => false));
$form_status_field = new field('formstatus','hidden',array('id'=>'formstatus','value'=>$message['msgType'],'required_mark' => false));
$id_field = new field('ITQ_id','hidden',array('value'=>$ITQ_id,'required_mark' => false));
$field_0 = new field('ITQ_id', 'hidden', array(
	'id'=>'ITQ_id', 'value'=>"$ITQ_id", 'label' => 'ITQ Id',
	'required_mark' => TRUE, 'style' => '', 'field_msg'=>'', 'disabled' =>$mode=="delete"?true:false
));
$field_1 = new field('question', 'textarea', array(
	'id'=>'name', 'value'=>"$question", 'label' => 'Test Question',
	'required_mark' => TRUE, 'style' => '', 'field_msg'=>'', 'cols'=>50, 'rows'=>3, 'disabled' =>$mode=="delete"?true:false
));
$options = array(''=>"Select...",'MCQ'=>'MCQ Type','essay'=>"Essay Type");
$field_3 = new field('Type', 'select',
	array('label'=>'Question Type', 'required_mark'=>true, 'style'=>' onchange="toggle_button(this)" ', 'disabled' =>$mode=="delete"?true:false),
	$options, $type
);
$cfrs_field = new field('csrf_user_form_token','hidden',array('value'=> $this->security->get_csrf_hash()));
$myForm->fieldSets = array(
	'tpdetails' => array(
		'legend'=> $fieldset_title,
		'attributes' => array('class' => 'fieldset_class','id'=>'test_q_form'),
		'fields' =>  array($id_field,$mode_field,$form_status_field,$field_0,$field_3,$field_1,$cfrs_field)
	),
);
$myForm->init();
?>
</div>

<style>
body{font-family: Helvetica;font-size:10pt;}
.field_msg_div_class {color: red; font-size:0.7em;}
.fieldset_class{ width:90%;font-family:Tahoma, Geneva, sans-serif; color:#10579E }
span.required{color:#F00;}
.intv-table{ border:1px solid black; width:100%;padding:5}
.intv-table tr{ border:1px solid black; }
.intv-table td{ border:1px solid black;padding: 10 }
.remove{
  cursor: pointer;
  vertical-align: inherit;
  margin-top: -5px;
  margin-left: 10px;
  color: lightcoral;
}
.remove:hover{
  color: red;
}
</style>

<script src="https://code.jquery.com/jquery-1.12.4.min.js" integrity="sha256-ZosEbRLbNQzLpnKIkEdrPv7lOy9C27hHQ+Xp8a4MxAQ=" crossorigin="anonymous"></script>
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">

<script type="text/javascript">
var no_of_choices = 0;
var debug = false;


<?php if(!empty($choices)){ ?>
	no_of_choices = <?php echo count($choices);?>;// we know how many of existing  choices are ther.
	if(debug)console.log('edit form no_of_choices:'+no_of_choices);
	populate_mcq_choices();
<?php }?>


function re_index(){
	var debug = false;
	var obj = $('table[id=choices_table] tr td');
	var number_of_tds  = obj.length;
	if(debug) console.log('number_of_tds:'+number_of_tds);

	var steps_no = 1;
	$.each( obj, function(i,e){
		var td = $(e);
		var choice = td.children(0);
		var choice_id = td.children(0).next().next();

		if(debug) console.log('choice:'+choice[0].name);
		if(debug) console.log('choice_id:'+choice_id[0].name);
		if(choice_id[0].type == 'text' && choice[0].type == 'text'){
			$(choice).attr('id',"choices\["+steps_no+"\]\[choice\]");
			$(choice).attr('name',"choices\["+steps_no+"\]\[choice\]");
			$(choice_id).attr('id',"choices\["+steps_no+"\]\[c_id\]");
			$(choice_id).attr('name',"choices\["+steps_no+"\]\[c_id\]");
			if(debug) console.log('new name:'+"choices\["+steps_no+"\]\[choice\]");
			steps_no++;
		}
	});
}//end of function


function toggle_button(sel){
	var debug = false;
	var sel_value= sel.value;
	$('#button_row').remove();
	$('#choices_fieldset').remove();

	var new_row = '<tr id="button_row" class="form_field_label_class"><td></td><td class="form_field_class">'+
		'<input type="button" value="Add Choice" onclick="add_choice()"></td></tr>';

	var choice_frame_set = '<fieldset id="choices_fieldset" class="fieldset_class"><legend>Choices</legend>'+		
		'<table id="choices_table"><tr><td>'+
		'<input type="text" value="" name="choices[0][choice]" id="choices[0][choice]" size="40">  '+
		'<input type="radio" value="" name="correct" id="correct" onclick="mark_as_correct(this)">Mark as Correct  '+
		'<input type="hidden" value="" name="choices[0][c_id]" id="choices[0][c_id]" size="5">  '+
		'<div class="fa fa-window-close fa-2x remove" onclick="remove_choice(this)" ></div>'+
		'</td></tr></table></fieldset>';
	
	if(sel_value == 'MCQ'){
		$(new_row).appendTo("#tpdetails");
		$(choice_frame_set).appendTo("form");
		no_of_choices++;
		if(debug) console.log('no_of_choices:'+no_of_choices);
	}else{
		no_of_choices=0;
	}
}


function add_choice(){
	var debug = false;
	var new_chooice ='<tr><td>'+
		'<input type="text" value="" name="choices['+no_of_choices+'][choice]" id="choices['+no_of_choices+'][choice]" size="40">  '+
		'<input type="radio" value="" name="correct" id="correct" onclick="mark_as_correct(this)">Mark as Correct  '+
		'<input type="hidden" value="" name="choices['+no_of_choices+'][c_id]" id="choices['+no_of_choices+'][c_id]" size="5">  '+
		'<div class="fa fa-window-close fa-2x remove" onclick="remove_choice(this)" ></div>'+
		'</td></tr>';
	
	$(new_chooice).appendTo("#choices_table");
	no_of_choices++;
	
	if(debug) console.log('no_of_choices:'+no_of_choices);
	re_index();
}//end of function


function remove_choice(button){
	$(button).parent().parent().remove();
	no_of_choices--;

	if(debug) console.log('no_of_choices:'+no_of_choices);
	re_index();
}//end of function


function mark_as_correct(radio){
	if(debug)console.log($(radio).prev().val());
	$("input[name='correct']").val("");
	$(radio).val($(radio).prev().val());
}//end of function


function populate_mcq_choices(){
	var debug = false;
	var new_row = '<tr id="button_row"><td></td><td><input type="button" value="Add Choice" onclick="add_choice()"></td></tr>';
		
	var choices_json_str = '<?php echo (!empty($choices))? json_encode($choices) : ''; ?>';
	var choices_obj = $.parseJSON(choices_json_str);
	var order = 0;
	var choice_frame_set = '<fieldset id="choices_fieldset" class="fieldset_class"><legend>Choices</legend><table id="choices_table">';
	var correct = '<?php echo (!empty($correct))?$correct:'';?>';
	
	if(debug)console.log('correct choice:'+correct);
	var new_chooice = '';
	var selected = '';
	var opt_value = '';

	$.each( choices_obj, function(i,e){
		if(correct != '' && correct == e.choice){
			selected = ' checked ';
			opt_value = e.choice;
		}else{
			selected = '';
			opt_value = '';
		}
		new_chooice +='<tr><td>'+
			'<input type="text" value="'+e.choice+'" name="choices['+no_of_choices+'][choice]" id="choices['+no_of_choices+'][choice]" size="40">  '+
			'<input type="radio" value="'+opt_value+'" name="correct" id="correct" onclick="mark_as_correct(this)" '+ selected +'>Mark as Correct  '+
			'<input type="hidden" value="'+e.C_id+'" name="choices['+no_of_choices+'][c_id]" id="choices['+no_of_choices+'][c_id]" size="5">  '+
			'<div class="fa fa-window-close fa-2x remove" onclick="remove_choice(this)" ></div>'+
			'</td></tr>';
		no_of_choices++;
	});
	choice_frame_set += new_chooice;
	choice_frame_set += '</table>'+'</fieldset>';

	$(new_row).appendTo("#tpdetails");
	$(choice_frame_set).appendTo("form");
}//end of function


function inputValidate(){
	$(window).scrollTop(0);
	var debug = false;
	var error = [];
	var type = $('select[name=Type]');
	var inputs = $(':input');
	var correct = $(':input[type=radio]');
	var msgdiv = $('#info2');
	var choices = 0;
	var selected = 0;
	
	$.each( inputs, function(i,e){
		if(debug)console.log('input type :'+e.type+' input name :'+e.name+' input value:'+e.value);
		if(e.name == 'Type'){
			if(e.value == ''){
				error.push('Question type cannot be empty!');
				if(debug)console.log('error:'+error);
			}
		}
		if(e.name == 'question'){
			if(e.value == ''){
				error.push('Test Question cannot be empty!');
				if(debug)console.log('error:'+error);
			}
		}
		if(e.type == 'text'){
			choices++;
			if(e.value == ''){
				error.push('Choice '+choices+' cannot be empty!');
				if(debug)console.log('error:'+error);
			}
		}
	});

	if(type.val() == 'MCQ'){
		if(debug)console.log('correct:'+correct);
		$.each( correct, function(i,e){
			if(debug)console.log('e.value:'+e.value);
			if(e.value != ''){	selected++;	}
			if(debug)console.log('selected:'+selected);
		});

		if(selected == 0){
			error.push('Please select a correct choice');
			if(debug)console.log('error:'+error);
		}
	}

	if(error.length > 0){
		return error;
	}
	else{
		msgdiv.val('');
		return true;
	}
}//end of function


function disableInputs(){
	if($("#mode").val() == "delete"){
		$(document).ready(function(){
			$("input").attr("disabled", "disabled");
			$(".remove").attr("style", "display:none;");
		});
	}	
}
disableInputs();
</script>
