<?php
/**
* Auto Generated CI View
*
*
* This view file generates the add / edit form in HTML format using the forms object
*
* @package			HRM\view\interview_schedule_form 
* @version			1.0
* @uses
* @see
* @copyright		2016, BizyCorp Internal Systems Development
* @license			private, All rights reserved
* @author			CIGen (Automated CI Code Generator)
*
*/

if ( ! defined('BASEPATH')) exit('No direct script access allowed');

/**
* This view file generates the add / edit form in HTML format using the forms object
*
* @package      HRM\view\interview_schedule_form
* @version      1.0
* @copyright    2016, BizyCorp Internal Systems Development
* @license      private, All rights reserved
* @author       CIGen (Automated CI Code Generator)
* @uses
* @see
* @created    	7/7/2016
* @modified   	
* @modification
*/
class vent_selecter{
	// Just a dummy clas for phpdoc to catch the doc header.
}

if(isset($_SESSION['user_name'])){
	$user_name=$_SESSION["user_name"];
	$user_type=$_SESSION["user_type"];
}
else{
	$user_name='';
	$user_type='';
}

$mode	= isset($mode)? $mode: "";
$events = isset($events)? $events: null;
$event_options = null;

//$formstatus to handle form close and grid reload check for save status success and failure
$formstatus	= isset($formstatus)? $formstatus: "";
$IS_id	= isset($IS_id)? $IS_id : "";
$app_id = isset($app_id)? $app_id: "";
$type = isset($type)? $type: "";
$staff_id = isset($staff_id)? $staff_id: "";
$start_date = isset($start_date)? $start_date: "";
$end_date = isset($end_date)? $end_date: "";
$summary = isset($summary)? $summary: "";
$description = isset($description)? $description: "";

$log_create = new log_object();
$log_create->set_disable($this->config->item('log_status'));
$log_create->set_userDetails($user_name, $user_type);
$log_create->set_otherDetails(array('Mode'=>"interview schedule Form-$mode",'Data'=>$IS_id));
$log_create->init();

$fieldset_title ="Select the event to (".ucfirst($mode).")";
?>

<!-- FOR CALANDER -->
<script src="<?php echo $this->config->item('dhtmlx_lib_url')?>dhtmlx.js" type="text/javascript"></script>
<script src="<?php echo $this->config->item('dhtmlx_lib_url')?>dhtmlxCalendar/codebase/dhtmlxcalendar.js"></script>
<script src="<?php echo $this->config->item('dhtmlx_lib_url')?>dhtmlxForm/codebase/ext/dhtmlxform_item_calendar.js"></script>

<div id="info2" style="padding: 3px; margin: 3px; text-align: center; font-family:Arial; font-size:13px; font-style:italic; color:red;">
	<?php if(isset($message['msgText'])) echo $message['msgText']; ?>
</div>

<div id="toolbarObj"></div>
<div id="formbox" style="font-family:Arial; font-size:12px;">
<?
$event_options[''] = 'Please select...';

if(!empty($events)){
	if(is_array($events)){
		foreach($events as $event){
			$event_options[$event['id']] = $event['summary'];
		}//end foreach
		
		////////////
		$fieldset_title = $fieldset_title;
		$disabled = "";//($mode=='delete')?' disabled="disabled" ':null;
		
		$myForm = new form_object('events_form') ;
		$myForm->formOpenTag = array('method' => 'post',
			'action'  => '#',				
			'attributes' => array('enctype' => 'multipart/form-data','onsubmit' => '')
		);
		$mode_field = new field('mode','hidden',array('id'=>'mode','value'=>$mode,'required_mark' => false));
		$form_status_field = new field('formstatus','hidden',array('id'=>'formstatus','value'=>$message['msgType'],'required_mark' => false));
		$events = new field('events','select',
			array(
				'id'=>'events',										
				'label' => 'Select the event',
				'required_mark' => TRUE,
				'style' => ' onchange="load_event(this)" ',
				'field_msg'=>'',
			),
			$event_options,$events
		);
		$cfrs_field = new field('csrf_user_form_token','hidden',array('value'=> $this->security->get_csrf_hash()));
		$myForm->fieldSets = array(
			'tpdetails' => array(
				'legend'=> $fieldset_title,
				'attributes' => array('class' => 'fieldset_class','id'=>'step_definition_form'),
				'fields' => array($events, $cfrs_field)
			),
		);
		$myForm->init();
	}//end if
	//////////
}
else{
	echo '<center><h2>There are no scheduled events found</h2></center>';
}//end if

if(isset($message['msgType']) && ($message['msgType'] == 'success')){
	echo '<script type ="text/javascript">setTimeout(function(){ parent.wb.getFormLayout().collapse(); },5000);</script>';
}
?>
<div id="event_edit_form"></div>
</div>
	
<style>
body{font-family: Helvetica;font-size:10pt;}
table{font-family: Helvetica;font-size:10pt;border-collapse: collapse;}
.form_field_label_class{ width:30%;font-size:10pt }
.form_field_class{ width:100%;}
.field_msg_div_class {color: red; font-size:0.7em;}
.fieldset_class{ width:90%;font-family:Tahoma, Geneva, sans-serif; color:#10579E }
span.required{color:#F00;}
.intv-table{ border:1px solid black; width:100%;padding:5}
.intv-table tr{ border:1px solid black; }
.intv-table td{ border:1px solid black;padding: 10 }
</style>

<!-- FOR CALANDER -->
<script src="<?php echo $this->config->item('dhtmlx_lib_url')?>dhtmlxCalendar/codebase/dhtmlxcalendar.js"></script>
<script src="<?php echo $this->config->item('dhtmlx_lib_url')?>dhtmlxForm/codebase/ext/dhtmlxform_item_calendar.js"></script>
<script src="https://code.jquery.com/jquery-1.12.4.min.js" integrity="sha256-ZosEbRLbNQzLpnKIkEdrPv7lOy9C27hHQ+Xp8a4MxAQ=" crossorigin="anonymous"></script>
	
<script type="text/javascript">
disableInputs();
function load_event(element){
	$("#event_edit_form").html('');
	if($("#events").val()!=""){
		var id = element.value;
		$.ajax({
			url: "<?php echo base_url()?>index.php/interview_schedules/data_form/<?=$mode ?>/"+id,
			success: function(result){
				$("#event_edit_form").html(result);
				//var element = $('#type');
				//var row = $( '#type' ).parent().parent();
				//var nextrow = row.next();
				//if(element.val() == 'Test'){
				//nextrow.hide();
				//}else{
				//nextrow.show();
				//}
	    	}
	    });
	}
}

function inputValidate(){
	return true;
}

function disableInputs(){ }
</script>
