<?php
	/**
	 * Auto Generated CI View
	 *
	 *
	 * This is the work bench implementaion script
	 *
	 * @package			HRM\view\intervie_panel_wb
	 * @version			1.0
	 * @uses
	 * @see
	 * @copyright		2016, BizyCorp Internal Systems Development
	 * @license			private, All rights reserved
	 * @author			CIGen (Automated CI Code Generator)
	 *
	 */
	
	if ( ! defined('BASEPATH')) exit('No direct script access allowed');

	/**
	 *  This is the work bench implementaion script
	 *	
	 *	This script creates an instnce of the work bench object for intervie_prep table and 
	 *  facilitates the users with the table maintenence in a user friendly way.
	 *  All the call back functions are written on this page to be called by the toolbar buttons.
	 *
	 * @package      HRM\view\intervie_panel_wb
	 * @version      1.0
	 * @copyright    2016, BizyCorp Internal Systems Development
	 * @license      private, All rights reserved
	 * @author       CIGen (Automated CI Code Generator)
	 * @uses
	 * @see
	 * @created    	August 12, 2016
	 * @modified   	August 12, 2016
	 * @modification
	 */

class interview_panel_wb{
	// Just a dummy clas for phpdoc to catch the doc header.
}

if(isset($_SESSION['user_name'])){
	$user_name=$_SESSION["user_name"];
	$user_type=$_SESSION["user_type"];
}else{
	$user_name='';
	$user_type='';
}

/**
 * Include the common header file
 */
require_once('js-css-loader.php');

$log_create = new log_object();
$log_create->set_disable($this->config->item('log_status'));
$log_create->set_userDetails($user_name, $user_type);
$log_create->set_otherDetails(array('Mode'=>'interview_panel_WB','Data'=>'-'));
$log_create->init();
?>

<style>body{ margin:0; font-family: arial;}</style>
<div id="divBench" style="width:99.9%;height:98%;"></div>

<script>
//CORS handling by WCD
window.addEventListener("message", receiveMessage, false);
function receiveMessage(event){
	switch (event.data){
		case "setSize":
			wbFb.getWb().setSizes();
		break;
	}
}

wb = new workbenchObj();
wb.gridVarName='dataGrid';
//wb.url = '<?=site_url()?>/interview_panel/index/false/0/0/interview_panel_view/XML/';

wb.url = '';
wb.gridreloadurl = '<?=site_url()?>/interview_panel/index/true/0/0/data_feed_template/XML/';
wb.workBench = document.getElementById("divBench");

var myform;
wb.form = myform;
wb.formVar = 'myform';

//can pass properties to manuputate toolbar objects
wb.toolBarComponent = 'grid';
wb.toolBarIconpath = '<?=$this->config->item('image_url');?>';
wb.toolBarDefaultitems = false;//add defult items
wb.toolBarNotSet = ['add', 'delete','edit','refresh','search'];
wb.toolBarItems=[
	{id:'viewcandidatedetails', type:'button', img:'list-all.png',imgdis:'list-all.png',text:'View Candidate Details'},
	{id:'save', type:'button', img:'save.gif',imgdis:'save.gif',text:'Save'}
];

wb.toolBarVar='gridtoolbar';
wb.formBarComponent='form';
wb.formBarIconpath='<?=$this->config->item('image_url');?>';
wb.formBarDefaultitems = true;

wb.formUrl = '<?=site_url()?>/interview_panel/loadForm/';
wb.formdataUrl = '<?=site_url()?>/interview_panel/data_form/';
wb.formDataUrl = '<?=site_url()?>/interview_panel/save/';
wb.formDelUrl = '<?=site_url()?>/interview_panel/delete/';
wb.formWidth = 600;
wb.gridLayoutWidth = 700;


/*======== Begin callback function list==========*/

var doAddForm = function (){
	var isIdset = formBar.getPosition('save');
	if (debug) console.log('send position :-',isIdset);
	if(isIdset===null){
		formBar.addButton('save',0,'Save','save.gif','save_dis.gif');
		formBar.removeItem('delete');
		formBar.enableItem('reset');
	}
	var myLayout = wb.getFormLayout();
	myLayout.attachURL(wb.formdataUrl+'add');
	return true;
};

var doEditForm = function () {
	var isIdset = formBar.getPosition('save');
	if (debug) console.log('send position :-',isIdset);
	if(isIdset===null){
		formBar.addButton('save',0,'Save','save.gif','save_dis.gif');
		formBar.removeItem('delete');
		formBar.enableItem('reset');
	}
	var search = wb.getSearch();
	var row_id = search.grid.getSelectedRowId();
	var myEdit = row_id;
	edit = myEdit.replace(/,/g,"~");

	var myLayout = wb.getFormLayout();
	myLayout.attachURL(wb.formdataUrl+'edit/'+edit);
	if (debug) console.log('Edit form load url is :-',wb.formdataUrl+edit);
	return true;
};

var doDeleteForm = function (){
	var isIdset = formBar.getPosition('delete');
	if (debug) console.log('send position :-',isIdset);
	if(isIdset===null){
		formBar.addButton('delete',0,'Delete','delete.png','delete_dis.png');
		formBar.removeItem('save');
		formBar.disableItem('reset');
	}

	var search = wb.getSearch();
	var row_id = search.grid.getSelectedRowId();
	var myEdit = row_id;
	edit = myEdit.replace(/,/g,"~");

	var myLayout = wb.getFormLayout();
	myLayout.attachURL(wb.formdataUrl+'delete/'+edit);
	if (debug) console.log('Delete form load url is :-',wb.formdataUrl+'delete/'+edit);
	return true;
};

var doDelete = function (){
	var myLayout = wb.getFormLayout();
	ifr = myLayout.getFrame();

	var search = wb.getSearch();
	var row_id = search.grid.getSelectedRowId();
	var prime_id = "IP_id:"+ row_id;
	var loader = dhtmlxAjax.getSync(wb.formDelUrl+prime_id);
	if (debug) console.log('formDelUrl :- ',wb.formDelUrl+prime_id);
	if (debug) console.log('loader :- ',loader);

	if(loader) {
		ifr.contentWindow.document.getElementById('info2').innerHTML= 'Record deleted successfully!.';
		setTimeout(doGridUpdate,3000);
	}
};

/**
 * thhis function can be used to delete record without loading a form, 
 * this wil ask for confirmation and proceed, 
 * developer should updated only the delete callback to use this function
 */

var doDeleteWithoutForm = function (){
 	var search = wb.getSearch();
 	var prime_id= "id:"+search.grid.cells(search.grid.getSelectedId(),0).getValue();

 	var b = (confirm('Are you sure you want to delete this record?'));
 	if(b){
 		var loader = dhtmlxAjax.getSync(wb.formDelUrl+prime_id);
 		if (debug) console.log('formDelUrl :- ',wb.formDelUrl+prime_id);
 		if(loader) {
 			document.getElementById('info').innerHTML= 'Record deleted successfully!.';
 			setTimeout(doGridUpdate,3000);
 		}
 	}
};

var doSave = function (){
	var myLayout = wb.getFormLayout();
	ifr = myLayout.getFrame();

	var checking_form = "";
	checking_form = ifr.contentWindow.inputValidate();

	if (checking_form == true) {
		var returnVal = false;
		ifr.contentWindow.document.forms[0].submit();
		setTimeout(doGridUpdate,3000);
		return returnVal
	}else{
		var er =checking_form;
		var error_text="";
		for(var i=1; i<= er.length; i++){ error_text += er[i-1]+'<br />'; }
		console.log('error_text :-',error_text+er.length);
		ifr.contentWindow.document.getElementById('info2').innerHTML= error_text;
	}
};

var doGridUpdate = function (){
	console.log('formstatus :-',ifr.contentWindow.document.getElementById('formstatus').value);
	if(ifr.contentWindow.document.getElementById('formstatus').value !='failure'){
		myLayout.collapse();
		//search.grid.updateFromXML(wb.grid.xmlLoader.filePath,true,true)
		dataGrid.clearAndLoad(wb.grid.xmlLoader.filePath);;
	}
}

var doResetForm = function (){
	var returnVal = false;
	var myLayout = wb.getFormLayout();

	if (_isIE) {
		myLayout.getFrame().contentWindow.document.forms[0].reset();
	} else {
		myLayout.getFrame().contentDocument.forms[0].reset();
	}
	return returnVal;
};

var doDataLoading = function (){
	var quest = document.getElementById("IP_id");
	var quest_value = quest.value;
	var quest_index = quest.selectedIndex;

	if(quest_index!=0){
		var myLayout = wb.getGridLayout();
		myLayout.attachURL('<?=site_url()?>/interview_panel/panel_view/'+quest_value);
	}
}

wb.setGridAddCallback(doAddForm);
wb.setGridEditCallback(doEditForm);
wb.setGridDelCallback(doDeleteForm);
wb.setFormSaveCallback(doSave);
wb.setFormResetCallback(doResetForm);

//search is active in toolbar
wb.searchactive = 'enable';
//search should be updated by the developer depend on the req
var mySearchColumns = [
	{type:"text", name: 'label', id: 'label', placeholder: 'Questionnary Label!',size: '10',index: 0 },
	{type:"filler", name:'fil1', id:'', placeholder: '',size: '',index: 1 },
	{type:"text", name: 'first_name', id: 'first_name', placeholder: 'Candiate first name!',size: '20',index: 2 },
	{type:"text", name: 'last_name', id: 'last_name', placeholder: 'Candiate last name!',size: '20',index: 3 }
];

wb.searchColumns = mySearchColumns;
wb.init();

//var url = '<?=site_url()?>/interview_panel/panel_view/<?=$IP_id?>';
var mainLayout = wb.getGridLayout();

/* dropdown linking */
wb.toolBarVar.addInput('ques_dropdown', 3, 'dump input', 70);
<?php 
$recordData = get_contents_with_session(site_url().'/interview_prep/createDropdown');
$recordData = implode("",explode("	",str_ireplace("\n","",$recordData)));
?>
wb.toolBarVar.cont.getElementsByTagName("input")[0].parentNode.innerHTML = '<?=$recordData?>';
document.getElementsByName('IP_id')[0].style.width = "7cm";
document.getElementsByName('IP_id')[0].setAttribute('onChange','{doDataLoading();}');
document.getElementsByName('IP_id')[0][0].text = 'Select Questionnarie';
/* end dropdown linking */

//mainLayout.attachURL(url,false);
if (debug) console.log('wb  :-',wb);

var myForm = wb.getFormToolbar();
myLayout = wb.getFormLayout();
formBar = myForm.toolbar;

formBar.attachEvent('onClick', function(buttonid){
	if(buttonid==='delete') {
		doDelete();
	}
});

//toolbar button event listner
var app_id_test = ''
wb.toolBarVar.attachEvent('onClick', function(buttonid){
	switch(buttonid){
		case 'viewcandidatedetails':
			var formLayout = wb.getFormLayout();
			formBar.removeItem('save');
			formBar.removeItem('reset');
			formLayout.attachURL('<?=base_url()?>index.php/job_applications/data_form/view/'+app_id_test);
		break;
	}//end switch
});
</script>
