<?php
/**
 * Auto Generated CI View
 *
 *
 * This view file generates the add / edit form in HTML format using the forms object
 *
 * @package			HRM\view\interviewers_form 
 * @version			1.0
 * @uses
 * @see
 * @copyright		2016, BizyCorp Internal Systems Development
 * @license			private, All rights reserved
 * @author			CIGen (Automated CI Code Generator)
 *
 */

if ( ! defined('BASEPATH')) exit('No direct script access allowed');

/**
 * This view file generates the add / edit form in HTML format using the forms object
 *
 * @package      HRM\view\interviewers_form 
 * @version      1.0
 * @copyright    2016, BizyCorp Internal Systems Development
 * @license      private, All rights reserved
 * @author       CIGen (Automated CI Code Generator)
 * @uses
 * @see
 * @created    	Mar 25, 2016
 * @modified   	Mar 25, 2016
 * @modification
 */
class interview_tests_form{
	// Just a dummy clas for phpdoc to catch the doc header.
}

if(isset($_SESSION['user_name'])){
	$user_name=$_SESSION["user_name"];
	$user_type=$_SESSION["user_type"];
}else{
	$user_name='';
	$user_type='';
}

$mode	= isset($mode)? $mode: "";

//$formstatus to handle form close and grid reload check for save status success and failure
$formstatus	= isset($formstatus)? $formstatus: "";
$IT_id		= isset($IT_id)? $IT_id : "";
$post_id 	= isset($post_id)? $post_id: "";
$name 		= isset($name)? $name: "";
$user_guide = isset($user_guide)? $user_guide: "";
$duration 	= isset($duration)? $duration: "";
$details 	= isset($details)? $details: "";
$date_updated = isset($date_updated)? $date_updated: "";
$updated_by = isset($updated_by)? $updated_by: "";

$log_create = new log_object();
$log_create->set_disable($this->config->item('log_status'));
$log_create->set_userDetails($user_name, $user_type);
$log_create->set_otherDetails(array('Mode'=>"interview_Test_Form-$mode",'Data'=>$IT_id));
$log_create->init();

$fieldset_title ="Test Type (".ucfirst($mode).")";
?>
<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.7.1/jquery.min.js"></script>
<div id="info2" style="padding: 3px; margin: 3px; text-align: center; font-family:Arial; font-size:13px; font-style:italic; color:red;">
	<?php if(isset($message['msgText'])) echo $message['msgText']; ?>
</div>
<div id="toolbarObj"></div>

<div id="formbox" style="font-family:Arial; font-size:12px;">
<?
//Create new form
$myForm = new form_object('interview_tests_form') ;
$myForm->formOpenTag = array('method' => 'post',
	'action'  => '#',
    'attributes' => array('enctype' => 'multipart/form-data','onsubmit' => 'return inputValidate()')
);

$mode_field = new field('mode','hidden',array('id'=>'mode','value'=>$mode,'required_mark' => false));
$form_status_field = new field('formstatus','hidden',array('id'=>'formstatus','value'=>$message['msgType'],'required_mark' => false));
$id_field = new field('IT_id','hidden',array('value'=>$IT_id,'required_mark' => false));
$field_1 = new field('name','text',array(
	'id'=>'name', 'value'=>"$name", 'label' => 'Test Name',
	'required_mark' => TRUE, 'style' => '', 'field_msg'=>'', 'disabled' =>$mode=="delete"?true:false
));
$field_2 = new field('user_guide','textarea',array(
	'id'=>'user_guide', 'value'=>"$user_guide", 'label' => 'User Guide',
	'required_mark' => TRUE, 'style' => '', 'field_msg'=>'', 'disabled' =>$mode=="delete"?true:false
));
$options = array(
	''		=> 'Select...',
	'30'	=> '30 mins',
	'40'	=> '40 mins',
	'60'	=> '01 Hr',
	'90'	=> '01 1/2 Hrs',
	'120'	=> '02 Hrs',
	'150'	=> '02 1/2 Hrs',
	'180'	=> '03 Hrs',
	'210'	=> '03 1/2 Hrs',
	'240'	=> '04 Hrs',
	'480'	=> '08 Hrs',
	'960'	=> '16 Hrs',
	'1440'	=> '24 Hrs',
	'1800'	=> '30 Hrs'
);
$field_3 = new field('duration','select',
	array(
		'id'=>'duration', 'value'=>"$duration", 'label' => 'Test Duration',
		'required_mark' => TRUE, 'style' => '', 'field_msg'=>'', 'disabled' =>$mode=="delete"?true:false
	),
	$options, $duration
);
$field_4 = new field('details','textarea',array(
	'id'=>'details', 'value'=>"$details", 'label' => 'Description',
	'required_mark' => TRUE, 'style' => '', 'field_msg'=>'', 'disabled' =>$mode=="delete"?true:false
));

$post_options = array(''=>'Select...');
foreach($designations as $designation){
	$post_options[$designation['id']] = $designation['designation'];
}
$post_id = new field('post_id','select',
	array(
		'id'=>'post_id', 'value'=>"$post_id", 'label' => 'Designation',
		'required_mark' => TRUE, 'style' => '', 'field_msg'=>'', 'disabled' =>$mode=="delete"?true:false
	),
	$post_options, $post_id
);
$myForm->fieldSets = array(
	't_test' => array(
		'legend'=> $fieldset_title,
		'attributes' => array('class' => 'fieldset_class','id'=>'test_details_fieldset'),
		'fields' => array($id_field,$mode_field,$form_status_field,$post_id,$field_1,$field_4,$field_3,$field_2)
	)
);
$myForm->init();
?>
</div>

<style>
body{font-family: Helvetica;font-size:10pt;}
.field_msg_div_class {color: red; font-size:0.7em;}
.fieldset_class{ width:90%;font-family:Tahoma, Geneva, sans-serif; color:#10579E }
span.required{ color:#F00;}
.remove{
  cursor: pointer;
  vertical-align: inherit;
  margin-top: -5px;
  margin-left: 10px;
  color: lightcoral;
}
.remove:hover{
  color: red;
}
</style>
<script src="https://code.jquery.com/jquery-1.12.4.min.js" integrity="sha256-ZosEbRLbNQzLpnKIkEdrPv7lOy9C27hHQ+Xp8a4MxAQ=" crossorigin="anonymous"></script>
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">

<script type="text/javascript">
var no_of_quiz = 0;
var questions_str = "<?=$questions_str?>";

init_test_quiz_form();
populate_test_questions();

function re_index(){
	var debug = false;
	var obj = $('table[id=question_table] tr td');
	var number_of_tables  = obj.length;
	if(debug) console.log('number_of_tables:'+number_of_tables);
	
	var question_no = 1;
	$.each( obj, function(i,e){
		var td = $(e);
		var elements = td.children();
		if(debug) console.log('elements obj:'+elements);

		var frameset = td.parent().parent().parent().parent();
		if(debug) console.log('frameset:'+frameset);

		var frameset_items = frameset.children();
		if(debug) console.log('frameset_items[0]:'+frameset_items[0]);

		frameset_items[0].innerText = 'Question ' + question_no;
		$.each( elements, function(i,e){
			if(debug) console.log('TR child no:'+i+' element type :'+e.type +' old name:'+e.name);
			if(e.type == 'select-one'){//question ITQ_id
				$(e).attr('id',"questions\["+question_no+"\]\[ITQ_id\]");
				$(e).attr('name',"questions\["+question_no+"\]\[ITQ_id\]");
			}
			else if(e.type == 'hidden'){//question order
				$(e).attr('id',"questions\["+question_no+"\]\[order\]");
				$(e).attr('name',"questions\["+question_no+"\]\[order\]");
				$(e).attr('value',question_no);
			}//end if
			if(debug) console.log('TR child no:'+i+' element type :'+e.type +' new name:'+e.name);
		});
		question_no++;
	});
}//end of function

function init_test_quiz_form(){
	var new_row = '<tr id="button_row"><td class="form_field_label_class"></td><td class="form_field_class">'+
	'<input type="button" value="Add Existing Question" onclick="add_question()"></td>'+'</tr>';
	
	$(new_row).appendTo("#t_test");
}//end of function

function add_question(){
	var debug = false;
	no_of_quiz++;
	if(debug)console.log('questions_str:'+questions_str);
	
	var question_frame_set = '<fieldset id="question_fieldset" class="fieldset_class"><legend>Question'+no_of_quiz+'</legend>'+
	'<table id="question_table"><tr><td>'+
	'<select name="questions['+no_of_quiz+'][ITQ_id]" id="questions['+no_of_quiz+'][ITQ_id]" onchange="check_val_exist(this)">'+questions_str+'</select>'+
	'<input type="hidden" name="questions['+no_of_quiz+'][order]" id="questions['+no_of_quiz+'][order]" value="'+no_of_quiz+'">'+
	'<div class="fa fa-window-close fa-2x remove" onclick="remove_question(this)" ></div>'+
	'<div id="que_msg_'+no_of_quiz+'" style="color:red;"></div>'+
	'</td></tr></table></fieldset>';
	
	$(question_frame_set).appendTo("form");
	if(debug)console.log('no_of_quiz:'+no_of_quiz);
	re_index();
}//end of function


function remove_question(button){
	var debug = false;
	$(button).parent().parent().parent().parent().parent().remove();
	no_of_quiz--;
	if(debug)console.log('no_of_quiz:'+no_of_quiz);

	re_index();
}//end of function


function populate_test_questions(){
	var debug = false;
	var test_questions_json = '<?php echo (!empty($test_questions_json))?$test_questions_json:null;?>';
	if(debug)console.log('test_questions_json:'+test_questions_json);

	if(test_questions_json != ''){
		var test_questions_obj = $.parseJSON(test_questions_json);
		no_of_quiz=1;
		$.each( test_questions_obj, function(i,e){
			if(debug)console.log('ITQ_id:'+e.ITQ_id);			

			var question_frame_set = '<fieldset id="question_fieldset" class="fieldset_class"><legend>Question '+no_of_quiz+'</legend>'+		
			'<table id="question_table"><tr><td>'+
			'<select name="questions['+no_of_quiz+'][ITQ_id]" id="questions['+no_of_quiz+'][ITQ_id]" onchange="check_val_exist(this)">'+questions_str+'</select>'+	
			'<input type="hidden" name="questions['+no_of_quiz+'][order]" id="questions['+no_of_quiz+'][order]" value="'+no_of_quiz+'">'+
			'<div class="fa fa-window-close fa-2x remove" onclick="remove_question(this)" ></div>'+
			'<div id="que_msg_'+no_of_quiz+'" style="color:red;"></div>'+
			'</td></tr></table></fieldset>';
			
			$(question_frame_set).appendTo("form");
			$('select[name=questions\\['+no_of_quiz+'\\]\\[ITQ_id\\]] option[value='+e.ITQ_id+']').attr('selected','selected');
			no_of_quiz++;
		});
	}else{
		return true;
	}
}//end of function


function check_val_exist(q){
	var debug = true;
	var selected_val = $(q).val();
	var count = 0;
	if(debug)console.log('selected_val:'+selected_val);
	
	var selects = $('select');
	if(debug)console.log('selectes count:'+selects.length);
	
	msg_boxname = 'que_msg_'+q.name.substring(10,11);
	$('#'+msg_boxname).html('');
	
	$.each( selects, function(i,e){
		if(e.id !='post_id' && e.id !='duration'){
			if(debug)console.log('select id:'+e.id);
			
			if(q !== e){
				if((selected_val == e.value) && (selected_val!="" || e.value!="")){
					$('#'+msg_boxname).html('You have already selected this question before.Please select a different one.');
					q.value = '';
				}
			}
		}
	});
}


function inputValidate(){
	//return true;
	$(window).scrollTop(0);
	var debug = false;
	var inputs = $(':input');
	var error = [];
	var name_list = {
		'post_id':'Designation',
		'name':'Test Name',
		'details':'Description',
		'duration':'Test Duration',
		'user_guide':'User Guide'
	};
	if(debug)console.log('name_list:'+Object.keys(name_list).length);
	if(debug)console.log('input count:'+inputs.length);
	
	if(no_of_quiz==0){
		error.push(['Please add questions to Test.']);
		alert("Please add questions to Test");
	}
	
	var q_count = 0;
	$.each(inputs, function(i,e){
		var input_type = e.type;
		var input_name = e.name;
		if(debug)console.log('input type:'+e.type);
		if(debug)console.log('input name:'+e.name);

		if( name_list.hasOwnProperty(e.id)){
			if(e.value == ''){
				error.push([name_list[e.id]+' cannot be empty.']);
				if(debug)console.log('error msg:'+error);
			}			
		}
		else if(e.name.substring(0,9) == 'questions') {
			if(debug)console.log('q name:'+e.name.substring(0,9));
			if(e.value==""){
				error.push(['Question '+e.name.substring(10,11) +' cannot be empty.']);
			}
		}
	});

	if(error.length > 0){ return error; }
	else{
		document.getElementById('info2').innerHTML= '';
		return true;	
  	}
}

disableInputs();
function disableInputs(){
	if($("#mode").val()== "delete"){
		$('input').attr("disabled","disabled");
		$('select').attr("disabled","disabled");
		$('textarea').attr("disabled","disabled");
		$('radio').attr("disabled","disabled");
	}
}
</script>