<?php
/**
 * This is model developed to maintain table job_applications
 *
 * @package    HRM\models\job_applications
 * @version    1.0
 * @copyright  2016, BizyCorp Internal Systems Development
 * @license    private, All rights reserved
 * @author     CIGen (Automated CI Code Generator)
 */

if ( ! defined('BASEPATH')) exit('No direct script access allowed');

/**
 * This is model developed to maintain table job_applications
 *
 *
 * Functions available
 * 		1) function exists()
 * 		2) function exists_column()
 * 		3) private function getArray()
 * 		4) private function getHeader()
 * 		5) function get_data()
 * 		6) function set_query()
 * 		7) function count_data()
 * 		8) function save()
 * 		9) function delete()
 * 	   10) public function getMetadata()
 *
 *  @package    HRM\models\job_applications
 *  @version    1.0
 *  @copyright  2016, BizyCorp Internal Systems Development
 *  @license    private, All rights reserved
 *  @author     CIGen (Automated CI Code Generator)
 *  @uses
 *  @see
 *  @created   Mar 25, 2016
 *  @modified  Mar 25, 2016	 
 *  @modification 	 
 */
class  Job_applications_model extends CI_Model{
	/**
	 * meta-discription array
	 * @var $metadataArray
	 */
	protected $metadata_array = array();
	
	/**
	 * Function __construct ()
	 * 
	 * 
	 * Meta Information will be generated at the class initialization
	 * 
	 * @param	None
	 * @return	void
 	 * @access	
 	 * @since	1.0
	 */
	function __construct(){
		parent::__construct();
		/**
		 * @$metadata_array - stores the added field comments,type and lenght of all the required fields for the model
		 */
		
		$this->metadata_array['PK']= 'id';
		
		$this->metadata_array['id']['header']= 'ID';
		$this->metadata_array['id']['type']= 'int';
		$this->metadata_array['id']['width']='10 unsigned';
		
		$this->metadata_array['first_name']['header']= 'First Name';
		$this->metadata_array['first_name']['type']= 'varchar';
		$this->metadata_array['first_name']['width']='30';
		
		$this->metadata_array['last_name']['header']= 'Last Name';
		$this->metadata_array['last_name']['type']= 'varchar';
		$this->metadata_array['last_name']['width']='50';
		
		$this->metadata_array['initials']['header']= 'Initials';
		$this->metadata_array['initials']['type']= 'varchar';
		$this->metadata_array['initials']['width']='25';
		
		$this->metadata_array['other_names']['header']= 'Other Name';
		$this->metadata_array['other_names']['type']= 'varchar';
		$this->metadata_array['other_names']['width']='100';
		
		$this->metadata_array['address']['header']= 'Address';
		$this->metadata_array['address']['type']= 'varchar';
		$this->metadata_array['address']['width']='150';
		
		$this->metadata_array['email']['header']= 'Email';
		$this->metadata_array['email']['type']= 'varchar';
		$this->metadata_array['email']['width']='45';
		
		$this->metadata_array['land_phone']['header']= 'Land Phone';
		$this->metadata_array['land_phone']['type']= 'varchar';
		$this->metadata_array['land_phone']['width']='15';
		
		$this->metadata_array['mobile_phone']['header']= 'Mobile Phone';
		$this->metadata_array['mobile_phone']['type']= 'varchar';
		$this->metadata_array['mobile_phone']['width']='15';
		
		$this->metadata_array['primary_education_at']['header']= 'Primary education at';
		$this->metadata_array['primary_education_at']['type']= 'varchar';
		$this->metadata_array['primary_education_at']['width']='150';
		
		$this->metadata_array['primary_edu_qualy']['header']= 'Primary Edu Qualy';
		$this->metadata_array['primary_edu_qualy']['type']= 'varchar';
		$this->metadata_array['primary_edu_qualy']['width']='150';
		
		$this->metadata_array['secondary_edu_at']['header']= 'Secondary edu at';
		$this->metadata_array['secondary_edu_at']['type']= 'varchar';
		$this->metadata_array['secondary_edu_at']['width']='150';
		
		$this->metadata_array['secondary_edu_qual']['header']= 'Secondary edu qual';
		$this->metadata_array['secondary_edu_qual']['type']= 'varchar';
		$this->metadata_array['secondary_edu_qual']['width']='150';
		
		$this->metadata_array['professional_edu_at']['header']= 'Professional Edu at';
		$this->metadata_array['professional_edu_at']['type']= 'varchar';
		$this->metadata_array['professional_edu_at']['width']='150';
		
		$this->metadata_array['professional_edu_qual']['header']= 'Professional edu qual';
		$this->metadata_array['professional_edu_qual']['type']= 'varchar';
		$this->metadata_array['professional_edu_qual']['width']='150';
		
		$this->metadata_array['other_qual']['header']= 'Other qual';
		$this->metadata_array['other_qual']['type']= 'varchar';
		$this->metadata_array['other_qual']['width']='250';
		
		$this->metadata_array['work_exp']['header']= 'Work Exp';
		$this->metadata_array['work_exp']['type']= 'blob';
		$this->metadata_array['work_exp']['width']='';
		
		$this->metadata_array['reason_4_leave']['header']= 'Reason for leave';
		$this->metadata_array['reason_4_leave']['type']= 'varchar';
		$this->metadata_array['reason_4_leave']['width']='200';
		
		$this->metadata_array['cv']['header']= 'CV';
		$this->metadata_array['cv']['type']= 'blob';
		$this->metadata_array['cv']['width']='';
		
		$this->metadata_array['have_adsl']['header']= 'Has ADSL';
		$this->metadata_array['have_adsl']['type']= 'varchar';
		$this->metadata_array['have_adsl']['width']='20';
		
		$this->metadata_array['can_wok_min']['header']= 'Can work min';
		$this->metadata_array['can_wok_min']['type']= 'varchar';
		$this->metadata_array['can_wok_min']['width']='3';
		
		$this->metadata_array['wfh_ok']['header']= 'WFH OK';
		$this->metadata_array['wfh_ok']['type']= 'varchar';
		$this->metadata_array['wfh_ok']['width']='3';
		
		$this->metadata_array['cv_path']['header']= 'CV Path';
		$this->metadata_array['cv_path']['type']= 'varchar';
		$this->metadata_array['cv_path']['width']='100';
		
		$this->metadata_array['answer_path']['header']= 'Answer Path';
		$this->metadata_array['answer_path']['type']= 'varchar';
		$this->metadata_array['answer_path']['width']='100';
		
		$this->metadata_array['unsigned_offer_path']['header']= 'Unsigned offer path';
		$this->metadata_array['unsigned_offer_path']['type']= 'varchar';
		$this->metadata_array['unsigned_offer_path']['width']='100';
		
		$this->metadata_array['signed_offer_path']['header']= 'Signed Offer Path';
		$this->metadata_array['signed_offer_path']['type']= 'varchar';
		$this->metadata_array['signed_offer_path']['width']='100';
		
		$this->metadata_array['remarks']['header']= 'Remarks';
		$this->metadata_array['remarks']['type']= 'varchar';
		$this->metadata_array['remarks']['width']='500';
		
		$this->metadata_array['country']['header']= 'Country';
		$this->metadata_array['country']['type']= 'varchar';
		$this->metadata_array['country']['width']='45';
		
		$this->metadata_array['post_id']['header']= 'Post Id';
		$this->metadata_array['post_id']['type']= 'int';
		$this->metadata_array['post_id']['width']='10 unsigned';
		
		$this->metadata_array['request_id']['header']= 'Request Id';
		$this->metadata_array['request_id']['type']= 'int';
		$this->metadata_array['request_id']['width']='10 unsigned';
		
		$this->metadata_array['app_date']['header']= 'App date';
		$this->metadata_array['app_date']['type']= 'datetime';
		$this->metadata_array['app_date']['width']='';
		
		$this->metadata_array['referrer_id']['header']= 'Refferrer Id';
		$this->metadata_array['referrer_id']['type']= 'int';
		$this->metadata_array['referrer_id']['width']='10';
		
		$this->metadata_array['title']['header']= 'Title';
		$this->metadata_array['title']['type']= 'varchar';
		$this->metadata_array['title']['width']='10';
		
		$this->metadata_array['status']['header']= 'Status';
		$this->metadata_array['status']['type']= 'varchar';
		$this->metadata_array['status']['width']='30';
		
		$this->metadata_array['gender']['header']= 'Gender';
		$this->metadata_array['gender']['type']= 'varchar';
		$this->metadata_array['gender']['width']='6';
		
		$this->metadata_array['currency']['header']= 'Currency';
		$this->metadata_array['currency']['type']= 'varchar';
		$this->metadata_array['currency']['width']='3';
		
		$this->metadata_array['has_other_job']['header']= 'Has other job';
		$this->metadata_array['has_other_job']['type']= 'varchar';
		$this->metadata_array['has_other_job']['width']='3';
		
		$this->metadata_array['other_job_des']['header']= 'Other job des';
		$this->metadata_array['other_job_des']['type']= 'varchar';
		$this->metadata_array['other_job_des']['width']='255';
		
		$this->metadata_array['is_studying']['header']= 'Is Studying';
		$this->metadata_array['is_studying']['type']= 'varchar';
		$this->metadata_array['is_studying']['width']='3';
		
		$this->metadata_array['study_details']['header']= 'Study details';
		$this->metadata_array['study_details']['type']= 'varchar';
		$this->metadata_array['study_details']['width']='255';
		
		$this->metadata_array['canwork_8hrs']['header']= 'Can work 8 hrs';
		$this->metadata_array['canwork_8hrs']['type']= 'varchar';
		$this->metadata_array['canwork_8hrs']['width']='3';
		
		$this->metadata_array['cantwork_8hrs']['header']= 'Cant work 8 hrs';
		$this->metadata_array['cantwork_8hrs']['type']= 'varchar';
		$this->metadata_array['cantwork_8hrs']['width']='255';
		
		$this->metadata_array['room2work']['header']= 'Room to work';
		$this->metadata_array['room2work']['type']= 'varchar';
		$this->metadata_array['room2work']['width']='3';
		
		$this->metadata_array['minsalexp']['header']= 'Min sal exp';
		$this->metadata_array['minsalexp']['type']= 'decimal';
		$this->metadata_array['minsalexp']['width']='11,2 unsigned';
		
		$this->metadata_array['whyhire']['header']= 'Why Hire';
		$this->metadata_array['whyhire']['type']= 'blob';
		$this->metadata_array['whyhire']['width']='';
		
		$this->metadata_array['nic_pp_no']['header']= 'NIC PP No';
		$this->metadata_array['nic_pp_no']['type']= 'varchar';
		$this->metadata_array['nic_pp_no']['width']='16';
		
		$this->metadata_array['date_of_birth']['header']= 'DOB';
		$this->metadata_array['date_of_birth']['type']= 'datetime';
		$this->metadata_array['date_of_birth']['width']='';
		
		$this->metadata_array['civil_status']['header']= 'Civil Status';
		$this->metadata_array['civil_status']['type']= 'char';
		$this->metadata_array['civil_status']['width']='1';
		
		$this->metadata_array['has_own_computer']['header']= 'Has Own PC';
		$this->metadata_array['has_own_computer']['type']= 'varchar';
		$this->metadata_array['has_own_computer']['width']='3';
		
		$this->metadata_array['plan2getadsl']['header']= 'Plan to get ADSL';
		$this->metadata_array['plan2getadsl']['type']= 'varchar';
		$this->metadata_array['plan2getadsl']['width']='3';
		
		$this->metadata_array['why_wfh']['header']= 'Why WFH';
		$this->metadata_array['why_wfh']['type']= 'blob';
		$this->metadata_array['why_wfh']['width']='';
		
		$this->metadata_array['test_time_a']['header']= 'Test time a';
		$this->metadata_array['test_time_a']['type']= 'varchar';
		$this->metadata_array['test_time_a']['width']='45';
		
		$this->metadata_array['test_time_b']['header']= 'Test time b';
		$this->metadata_array['test_time_b']['type']= 'varchar';
		$this->metadata_array['test_time_b']['width']='45';
		
		$this->metadata_array['how_u_heard']['header']= 'How you heard';
		$this->metadata_array['how_u_heard']['type']= 'varchar';
		$this->metadata_array['how_u_heard']['width']='150';
		
		$this->metadata_array['extr_refs']['header']= 'extr refs';
		$this->metadata_array['extr_refs']['type']= 'varchar';
		$this->metadata_array['extr_refs']['width']='45';
		
		$this->metadata_array['verified']['header']= 'Verified';
		$this->metadata_array['verified']['type']= 'varchar';
		$this->metadata_array['verified']['width']='3';
		
		$this->metadata_array['stat_cng_date']['header']= 'Status change date';
		$this->metadata_array['stat_cng_date']['type']= 'datetime';
		$this->metadata_array['stat_cng_date']['width']='';
		
		$this->metadata_array['offer_letter_tpl']['header']= 'company  offer letter template';
		$this->metadata_array['offer_letter_tpl']['type']= 'longblob';
		$this->metadata_array['offer_letter_tpl']['width']='';
		
		$this->metadata_array['offer_letter_with_appdetails']['header']= 'Offer Letter with app details';
		$this->metadata_array['offer_letter_with_appdetails']['type']= 'longblob';
		$this->metadata_array['offer_letter_with_appdetails']['width']='';
		
		$this->metadata_array['sent_offer_letter']['header']= 'Sent Offer Letter';
		$this->metadata_array['sent_offer_letter']['type']= 'longblob';
		$this->metadata_array['sent_offer_letter']['width']='';
		
		$this->metadata_array['signed_offer_letter']['header']= 'Signed Offer Letter';
		$this->metadata_array['signed_offer_letter']['type']= 'longblob';
		$this->metadata_array['signed_offer_letter']['width']='';
		
		$this->metadata_array['hire_status']['header']= 'Hire status';
		$this->metadata_array['hire_status']['type']= 'varchar';
		$this->metadata_array['hire_status']['width']='45';
		
		$this->metadata_array['designation']['header']= 'Designation';
		$this->metadata_array['designation']['type']= 'varchar';
		$this->metadata_array['designation']['width']='45';
		
		$this->metadata_array['applicant_image']['header']= 'Applicant Image';
		$this->metadata_array['applicant_image']['type']= 'varchar';
		$this->metadata_array['applicant_image']['width']='250';
		
		$metadata = $this->db->field_data('job_applications') ;
		foreach($metadata as $column){
			if($column->primary_key==1 && !isset($this->metadata_array['PK'])){
				$this->metadata_array['PK'] = $column->name;

			}
			if (!isset($this->metadata_array[$column->name])) {
				$this->metadata_array[$column->name]['header'] = $column->long_name ? $column->long_name : $column->name ;
				$this->metadata_array[$column->name]['type'] = $column->type ;
				$this->metadata_array[$column->name]['width'] = $column->max_length ;
			}
		}
	}

	
	/**
	 * Function exists()
	 *  
	 *
	 * Checks whether given entity exists in the table or not
	 *
	 * @param $primekey is an array of key field and value, starting index of dataset, useful for pagination etc
	 *		  Ex: Array($field_name=>value);
	 * @return TRUE if exists, FALSE if not
	 * @access	
	 * @since	1.0
	 */
	public function exists($primekey){
		$this->db->from('job_applications');
		foreach ($primekey as $k=>$v){
			$this->db->where($k,$v);
		}
		$query = $this->db->get();		
		return $query->num_rows();
	}
	
	/**
	 * Function exists_column()
	 * 
	 *
	 * Checks whether given column exists in the table or not
	 *
	 * @param $column is a single value
	 *		  Ex: $column = "field1";
	 * @return TRUE if exists, FALSE if not
	 * @access	
	 * @since	1.0
	 */
	function exists_column($column){
		return $this->db->field_exists($column,'job_applications');
	}
		
	/**
	 * Function getArray()
	 *  
	 *
	 * converts database query resultset to an associative array
	 *
	 * @param $result, the database resultset
	 * @return An associative array of resultset and associate db table field comments
	 * @access	private
	 * @since	1.0
	 */
	private function getArray($data){
		$out = array();
		$ix = 1;
		
		foreach($data as $k){
			foreach($k as $f => $v) {
				$out[$ix][$f]=  $v;
			}
			$ix++;
		}
		return $out;
	}
	
	
	/**
	 * Function getHeader()
	 *  
	 *
	 * returns the header information as an array, 
	 * checks the $data["selction"] to get the column , if selection is not set or empty function will return the header information of the default selection.
	 *
	 * @param 	$data is a composit array with elements for
	 * 				selection - fields that are to be selected / default *, filter - the conditions for where clause, group by , having and order by
	 * 				Ex: Array(
	 * 					['selection']=>'table_name.field_name1,table_name.field_name2', 
	 * 					['filter']=>array(field_name=>value), 
	 * 					['group_by']=>'field_name1,field_name2', 
	 * 					['having']=>array(filed_name => value) , 
	 * 					['order_by']=>array(filed_name => order));
	 *				['order_by']=>array(filed_name => order) - order is asc/desc
	 * @return 	An array of resultset and associate db table field comments
	 * @access	private
	 * @since	1.0
	 */
	private function getHeader($data){
		/*
		 * @todo
		 * There was an errror when firsttime this feed is generated. its because $selection has few joints table fields which 
		 * did not included in metadata array list. I had to add it manualy. mrmr 12/4/2016 
		 * */
		$selection =  isset($data['selection'])? $data['selection']:
			'job_applications.id,
			job_definitions.designation,
			job_applications.app_date,
			job_applications.first_name,
			job_applications.last_name,
			job_applications.status,
			job_applications.gender,
			job_applications.country,
			job_applications.email,
			job_applications.land_phone,
			job_applications.mobile_phone,
			job_applications.have_adsl,
			job_applications.has_own_computer,
			job_applications.has_other_job,
			job_applications.stat_cng_date,
			job_applications.initials,
            job_applications.other_names,
            job_applications.address,		
            job_applications.primary_education_at,
            job_applications.primary_edu_qualy,		
            job_applications.secondary_edu_at,
            job_applications.secondary_edu_qual,
            job_applications.professional_edu_at,
            job_applications.professional_edu_qual,
            job_applications.other_qual,
			job_applications.work_exp,
            job_applications.reason_4_leave,
            job_applications.cv,
            job_applications.can_wok_min,
            job_applications.wfh_ok,
            job_applications.cv_path,
            job_applications.answer_path,
            job_applications.unsigned_offer_path,
            job_applications.signed_offer_path,
            job_applications.remarks,            			
            job_applications.request_id,
            job_applications.referrer_id,
            job_applications.title,
            job_applications.currency,
            job_applications.other_job_des,
            job_applications.is_studying,
            job_applications.study_details,
            job_applications.canwork_8hrs,
            job_applications.cantwork_8hrs,
            job_applications.room2work,
            job_applications.minsalexp,
            job_applications.whyhire,
            job_applications.nic_pp_no,
            job_applications.date_of_birth,
            job_applications.civil_status,            			
            job_applications.plan2getadsl,
            job_applications.why_wfh,
            job_applications.test_time_a,
            job_applications.test_time_b,
            job_applications.how_u_heard,
            job_applications.extr_refs,
            job_applications.verified,            			
            job_applications.offer_letter_tpl,
            job_applications.offer_letter_with_appdetails,
            job_applications.sent_offer_letter,            		
			job_applications.applicant_image,	
            job_applications.signed_offer_letter,
            job_applications.post_id';
		
		$selection_array= array();
		$selection_array=explode(",",$selection);
		$out['PK']=$this->metadata_array['PK'];
		
		foreach($selection_array as $t_field){
			$field=explode(".",$t_field);
			if($field[1] =='*'){
				$out=$this->metadata_array;
				break;
			}
			else{
				$out[$field[1]]['header']=$this->metadata_array[$field[1]]['header'];
				$out[$field[1]]['type']=$this->metadata_array[$field[1]]['type'];
				$out[$field[1]]['width']=$this->metadata_array[$field[1]]['width'];
			}
		}
		return $out;
	}
	
	
	/**
	 * Function get_data()
	 * 
	 *
	 * gets complete data from the table with the facility of selection and filters.
	 * records can be grouped and ordered
     *  
	 * @param $data is a composit array with elements for 
	 * 				selection - fields that are to be selected / default *, search - the conditions for where clause, group by , having and order by , filter - join filter is an identifier to set the approval filter.
	 * 				Ex: Array(['selection']=>'table_name.field_name1,table_name.field_name2', ['search']=>array(field_name=>value), ['group_by']=>'field_name1,field_name2', ['having']=>array(filed_name => value) , ['order_by']=>array(filed_name => order));
	 *				['order_by']=>array(filed_name => order) - order is asc/desc
	 * 
     * 			$data['search'] is a an associative array
	 * 		    will have the field, value and query method as array object
	 * 			array('search_field' => $field, 'search_text' => $search_text,'query_method'=>$query_method);
	 * 		  	search_field=> table field name
	 * 		  	search_text=> text / id to be searched
	 * 		  	query_method=> equal/like the query method to be used for the search	         
     * 
     * @return 	All data, as an associative array with use of getArray() function if any relationships found the method will have the joint statement.
	 * @access	
	 * @since	1.0
     */
	function get_data($data){
		$out = array();
		if(isset($data['limit']) && $data['limit'] !="" && $data['limit'] !="0"){ $limt_enabled=true; }
		else{ $limt_enabled=false; }
	 	
	  	$header=$this->getHeader($data);
	  	$total_num_records = $this->count_data($data);
	  	$this->set_query($data,$limt_enabled);
	  	$query = $this->db->get();
	  	//log_message('info', "\$out :-".serialize($data));
      	
      	$result = $this->getArray($query->result());
	  	log_message('info',"SQL :-".$this->db->last_query());
     	
      	$out['metadata']=$header;
      	$out['total_rows']= $total_num_records;
      	$out['result_set'] = $result;
      	
      	//for pagination 
      	$out['limit'] = $data['limit'];
      	$out['offset'] = $data['offset'];
	  	
      	//log_message('info', "\$out :-".serialize($out));
      	return $out;
	}
			
	/**
	 * Function set_query()
	 * 
	 *
	 * sets the query to get data, get the count from the staff table with the facility of selection and filters.
	 * records can be grouped and ordered
	 *
	 * @param $data is a composit array with elements for
	 * 				selection - fields that are to be selected / default *, filter - the conditions for where clause, group by , having and order by
	 * 				Ex: Array(
	 * 					['selection']=>'table_name.field_name1,table_name.field_name2', ['filter']=>array(field_name=>value), 
	 * 					['group_by']=>'field_name1,field_name2', ['having']=>array(filed_name => value) , ['order_by']=>array(filed_name => order));
	 *					['order_by']=>array(filed_name => order) - order is asc/desc
	 *
	 * 			$data['search'] is a an associative array
	 * 		    will have the field, value and query method as array object
	 * 			array('search_field' => $field, 'search_text' => $search_text,'query_method'=>$query_method);
	 * 		  	search_field=> table field name
	 * 		  	search_text=> text / id to be searched
	 * 		  	query_method=> equal/like the query method to be used for the search
	 * 
	 * @param $limit_enable is a flag to determine if the query should be set with a limit or without a limit
	 * @return	
	 * @access	
	 * @since	1.0
	 */
	function set_query($data,$limit_enable){
		
		$search_filter="";
		$data['selection'] =  isset($data['selection'])? $data['selection']: 
			'job_applications.id,
			job_definitions.designation,
			job_applications.app_date,
			job_applications.first_name,
			job_applications.last_name,
			job_applications.status,
			job_applications.gender,
			job_applications.country,
			job_applications.email,
			job_applications.land_phone,
			job_applications.mobile_phone,
			job_applications.have_adsl,
			job_applications.has_own_computer,
			job_applications.has_other_job,
			job_applications.stat_cng_date,
			job_applications.initials,
       		job_applications.other_names,
       		job_applications.address,		
       		job_applications.primary_education_at,
       		job_applications.primary_edu_qualy,		
       		job_applications.secondary_edu_at,
       		job_applications.secondary_edu_qual,
       		job_applications.professional_edu_at,
       		job_applications.professional_edu_qual,
       		job_applications.other_qual,
			job_applications.work_exp,
       		job_applications.reason_4_leave,
       		job_applications.cv,
       		job_applications.can_wok_min,
       		job_applications.wfh_ok,
       		job_applications.cv_path,
       		job_applications.answer_path,
       		job_applications.unsigned_offer_path,
       		job_applications.signed_offer_path,
       		job_applications.remarks,            			
       		job_applications.request_id,
       		job_applications.referrer_id,
       		job_applications.title,
       		job_applications.currency,
       		job_applications.other_job_des,
       		job_applications.is_studying,
            job_applications.study_details,
            job_applications.canwork_8hrs,
            job_applications.cantwork_8hrs,
            job_applications.room2work,
            job_applications.minsalexp,
            job_applications.whyhire,
            job_applications.nic_pp_no,
            job_applications.date_of_birth,
            job_applications.civil_status,            			
            job_applications.plan2getadsl,
            job_applications.why_wfh,
            job_applications.test_time_a,
            job_applications.test_time_b,
            job_applications.how_u_heard,
            job_applications.extr_refs,
            job_applications.verified,            			
            job_applications.offer_letter_tpl,
            job_applications.offer_letter_with_appdetails,
            job_applications.sent_offer_letter, 
			job_applications.applicant_image,            			
            job_applications.signed_offer_letter,
            job_applications.post_id';
		
		$data['search'] = isset($data['search'])  ? $data['search'] : $search_filter ;
		
		$this->db->from('job_applications');
		$this->db->join('job_definitions','job_applications.post_id=job_definitions.id','left');
		$this->db->join('staff_requests','job_applications.request_id=staff_requests.id','left');
		
		if ($data['selection']) {
			$this->db->select($data['selection']); // TODO check and implement
		}
		
		if(isset($data['search'])&& $data['search']!=null) {
			//log_message('info',"search :-".serialize($data['search']));
			foreach($data['search'] as $s){
				if($s['query_method'] == "equal" && $s["search_text"] !=""){
					$this->db->where($s["search_field"],$s["search_text"]);
				}elseif($s['query_method'] == "equal" && $s["search_text"] ==""){
					$this->db->where($s["search_field"]);
				}elseif($s['query_method'] == "orwhere"){
					$this->db->or_where($s["search_field"],$s["search_text"]);
				}elseif ($s['query_method'] == "like"){
					$this->db->like($s["search_field"],$s["search_text"]);
				}elseif($s['query_method'] == "orlike"){
					$this->db->or_like($s["search_field"],$s["search_text"]);
				}elseif($s['query_method'] == "notlike"){
					$this->db->not_like($s["search_field"],$s["search_text"]);
				}elseif($s['query_method'] == "gt"){
					$this->db->where($s["search_field"]." >",$s["search_text"]);
				}elseif($s['query_method'] == "lt"){
					$this->db->where($s["search_field"]." <",$s["search_text"]);
				}elseif($s['query_method'] == "gtequal"){
					$this->db->where($s["search_field"]." >=",$s["search_text"]);
				}elseif($s['query_method'] == "ltequal"){
					$this->db->where($s["search_field"]." <=",$s["search_text"]);
				}elseif($s['query_method'] == "gtorequal"){
					$this->db->or_where($s["search_field"]." >=",$s["search_text"]);
				}elseif($s['query_method'] == "ltorequal"){
					$this->db->or_where($s["search_field"]." <=",$s["search_text"]);
				}elseif($s['query_method'] == "wherein"){
					$this->db->where_in($s["search_field"],explode(',',$s["search_text"]));
				}elseif($s['query_method'] == "where_not_in"){
					$this->db->where_not_in($s["search_field"],explode(',',$s["search_text"]));
				}
			}
			//log_message('info',"SQL :-".serialize($this->db));
		}
		if (isset($data['group_by'])){
			$this->db->group_by($data['group_by']);
		}
		if (isset($data['having'])){
			foreach($data['having'] as $c=>$v){
				$this->db->having($c,$v);
			}
		}
		
		if (isset($data['order_by'])){
			foreach($data['order_by'] as $c=>$v){
				$this->db->order_by($c,$v);
			}
		}
		
		if($limit_enable == true){
			if (isset($data['limit'])){
				$this->db->limit($data['limit'],$data['offset']) ;
			}
		}
	}
		
	/**
	 * Function count_data()
	 * 
	 *
	 * gets count of records from the staff table with the facility of selection and filters.
	 * records can be grouped and ordered
	 * 
	 * @param $data is a composit array with elements for 
	 * 				selection - fields that are to be selected / default *, filter - the conditions for where clause, group by , having and order by 
	 * 				Ex: Array(['selection']=>'table_name.field_name1,table_name.field_name2', ['filter']=>array(field_name=>value), ['group_by']=>'field_name1,field_name2', ['having']=>array(filed_name => value) , ['order_by']=>array(filed_name => order));
	 *				['order_by']=>array(filed_name => order) - order is asc/desc
	 * @return the count of records.
	 * @access	
	 * @since	1.0
	 */
	function count_data($data){
		$this->set_query($data,false);
		return $this->db->count_all_results();
	}
	
	
	/**
	 * Function save()
	 * 
	 *
	 * Insert data as a new record, if not exists, otherwise do Update
	 * This function will work ie: the delete will be executed 
	 * only when the user identification is present.
	 * 
	 * @param $data_array associative array of data 
	 * 		  Ex: $data_array=>Array(field_name=>value)
	 * @param $key an array of key field names and values
	 * 		  Ex: $key=>Array(field_name=>value)
	 * @return status of Query execution , TRUE if successful, otherwise FALSE
	 * @access	
	 * @since	1.0
	 */
	function save($data_array,$key=false){
		if (!isset($_SESSION['user_name'])){
			// show_error('No user identification given! data not saved',$status_code=500) ;
			 //return false;
		}
		// set the data from the passed array
	  	
		foreach($data_array as $c=>$v){
			$this->db->set($c,$v);
		}
		
		//If key passed set key fields and creation date and insert
		if (!$key or !$this->exists($key)){
			if(is_array($key)){	
		    	foreach($key as $c=>$v){
					$this->db->set($c,$v);
				}
			}
			if($this->db->insert('job_applications')){
				return true;
				log_message('info', "\$insert :-insert success");
			}
			return false;
		}
		
		if(is_array($key)){
			foreach($key as $c=>$v){
				$this->db->where($c,$v);
			}
			//log_message('info', "$key :-".serialize($key));
			
			if($this->db->update('job_applications')){
				return true;
				log_message('info', "\$update :-update success");
			}
		}
		$error = $this->db->_error_message();
		//log_message('info', "\$$error :-".$error.$this->db->affected_rows()); 
	}
	
	
	/**
	 * Function delete()
	 * 
	 * 
	 * Delete record(s)
	 * This function will work ie: the delete will be executed 
	 * only when the user identification is present.
	 *  
	 * @param $pk an array of data PK values of the relevant record
	 * 				array($pk=>$value);
	 * 				(field_name=>value)
	 * @return status of Query execution , TRUE if successful, otherwise FALSE
	 * @access	
	 * @since	1.0
	 */	
	function delete($pks){
		 if (!isset($_SESSION['user_name'])){
			 show_error('No user identification given! data not saved',$status_code=500) ;
			 return false;
    	 }
    	 else{
			$this->db->where($pks);
			return $this->db->delete('job_applications');
		 }
 	}
 	
 	
	/**
 	 * Function getMetadata()
 	 * 
 	 * 
 	 * This function will retun the Metadata array for the use of the controller a any other purpose
 	 * USAGE ;- $antvar = getMetadata();
 	 * 
 	 * @param	None
	 * @return	true/false
	 * @access	public
	 * @since	1.0
 	 */
 	public function getMetadata(){
 		if (isset($this->metadata_array)){
 			return $this->metadata_array;
 		}
 		else{
 			return false;
 		}
 	}
}
?>
