<?php
/**
 * Auto Generated CI View
 *
 *
 * This view file generates the add / edit form in HTML format using the forms object
 *
 * @package			HRM\view\exam_eval_form
 * @version			3.0
 * @uses
 * @see
 * @copyright		2017, BizyCorp Internal Systems Development
 * @license			private, All rights reserved
 * @author			CIGen (Automated CI Code Generator)
 *
 */

if ( ! defined('BASEPATH')) exit('No direct script access allowed');

/**
 * This view file generates the add / edit form in HTML format using the forms object
 *
 * @package      HRM\view\exam_eval_form 
 * @version      3.0
 * @copyright    2017, BizyCorp Internal Systems Development
 * @license      private, All rights reserved
 * @author       CIGen (Automated CI Code Generator)
 * @uses
 * @see
 * @created    	Mar 25, 2016
 * @modified   	Mar 25, 2016
 * @modification
 */
class answers_form{
	// Just a dummy clas for phpdoc to catch the doc header.
}
		
if(isset($_SESSION['user_name'])){ 
	$user_name = $_SESSION["user_name"];
	$user_type = $_SESSION["user_type"];
}else{
	$user_name = '';
	$user_type = '';	
}

$mode = isset($mode)? $mode: "";
//$formstatus to handle form close and grid reload check for save status success and failure
 
$test_id	= isset($test_id)? $test_id: "";
$app_id		= isset($app_id)? $app_id: "";

$log_create = new log_object();
$log_create->set_disable($this->config->item('log_status'));
$log_create->set_userDetails($user_name, $user_type);
$log_create->set_otherDetails(array('Mode'=>"answers_Form-$mode",'Data'=>""));
$log_create->init();

$fieldset_title ="Evaluation Form";
?>
<div id="info2" style="width:100%; padding:3px; margin:3px; text-align:center; font-family:Arial; font-size:13px; font-style:italic; color:red;">
	<?php if(isset($message['msgText'])) echo $message['msgText']; ?>
</div>
<style>
<!--
.gridTable{
	margin-left: -150px;
	width: 500px;
	font-size: 12px;
}
.gridTable tr{
	background-color: silver;
}
.gridTable > tbody > tr:nth-of-type(2n+1) {
    background-color: blanchedalmond;
}
.gridTable td, .gridTable th{
	padding: 5px 5px;
}
-->
</style>
<div id="formbox" style="margin:auto; font-family:Arial; font-size:12px;">
<?

if(isset($data)){
	//Create new form
	$myForm = new form_object('evaluation_form');
	$myForm->formOpenTag = array('method' => 'post',
		'action'=>'', 'attributes'=>array('enctype' => 'multipart/form-data','onsubmit' => 'return inputValidate()')
	);
	
	$mode_field = new field('mode', 'hidden', array('id'=>'mode', 'value'=>$mode, 'required_mark' => false));
	$test_id	= new field('test_id', 'hidden', array('id'=>'test_id', 'value'=>$test_id, 'required_mark' => false));
	$app_id		= new field('app_id', 'hidden', array('id'=>'app_id', 'value'=>$app_id, 'required_mark' => false));
	
	$fieldset = array();
	foreach ($data as $key=>$values){
		$answer_id = new field("QEF[$key][id]", 'hidden', array('id'=>"QEF[$key][id]", 'value'=>$values['id'], 'required_mark'=>false));
		$fields_question = new field('question', 'text',array(
			'id'=>'question', 'value'=>$values['question'], 'label'=>"Question", 'required_mark'=>false,
			'style'=>'', 'field_msg'=>'', 'disabled'=>true
		));
		if($values['type'] == "MCQ") {
			$form_type = "MCQ";
			$fields_answer = new field('answer', 'text',array(
				'id'=>'answer', 'value'=>$values['answer'], 'label'=>"Given Answer", 'required_mark'=>false,
				'style'=>'', 'field_msg'=>'', 'disabled'=>true
			));
			$fields_correct_answer = new field('correct_answer', 'text',array(
				'id'=>'correct_answer', 'value'=>$values['correct_answer'], 'label'=>"Correct Answer", 'required_mark'=>false,
				'style'=>'', 'field_msg'=>'', 'disabled'=>true
			));
		} elseif($values['type'] == "grid") {
			$form_type = "Grid";
			$gridquestions = "<table class='gridTable'><tr><th>Question</th><th>Answer</th><th>Correct</th></tr>";
			
			foreach ($values['grid'] as $keyGrid=>$valuesGrid){
				$gridquestions .= "<tr><td>".$valuesGrid['question'];
				$gridquestions .= "</td><td>".$valuesGrid['answer'];
				$gridquestions .= "</td><td>".$valuesGrid['correct_answer']."</td></tr>";
			}
			$gridquestions .= "</table>";
			
			$fields_answer = new field('grid','htmlField',array(
				'value'=>$gridquestions, 'disabled' => "", 'object_id' => 'lcid'
			));
			$fields_correct_answer = new field('grid','htmlField',array('value'=>'', 'label'=>'', 'required_mark'=>true, 'style'=>"", 'field_msg'=>'', 'disabled'=>""));
		} else {
			$form_type = "Essay";
			$fields_answer = new field('answer', 'textarea',array(
				'id'=>'answer', 'value'=>$values['answer'], 'label'=>"Given Answer", 'required_mark'=>false,
				'style'=>'', 'field_msg'=>'', 'disabled'=>true
			));
			$fields_correct_answer = new field("QEF[$key][correct_answer]", 'textarea',array(
				'id'=>"QEF[$key][correct_answer]", 'value'=>$values['correct_answer'], 'label'=>"Correct Answer", 'required_mark'=>true,
				'style'=>'', 'field_msg'=>'', 'disabled'=>false
			));
		}
		$fields_score = new field("QEF[$key][score]", 'text',array(
			'id'=>"QEF[$key][score]", 'value'=>$values['score'], 'label'=>"Score", 'required_mark'=>true,
			'style'=>'', 'field_msg'=>'', 'disabled'=>false
		));
		
		$fieldset["fieldset_$key"] = array(
			'legend'=> "$form_type Question $key For Evaluation",
			'attributes' => array('class'=>'fieldset_class', 'id'=>'', 'style'=>'margin: auto'),
			'fields' => array($answer_id, $fields_question, $fields_answer, $fields_correct_answer, $fields_score)
		);
	}
	
	$remarks = isset($remarks)?$remarks:"";
	$remarks = new field("remarks", 'textarea',array(
		'id'=>"remarks", 'value'=>$remarks, 'label'=>"Remarks", 'required_mark'=>true,
		'style'=>'', 'field_msg'=>'', 'disabled'=>false
	));
	$status = isset($status)?$status:"";
	$Status = new Field('status','select',
		array('label'=>'Status', 'id'=>'status', 'required_mark'=>true, 'style'=>"", 'field_msg'=>'', 'disabled'=>""),
		array(
			''					=> 'Select...',
			'selected for next step'=> 'Evaluation pass',
			'wait listed'		=> 'Put on wait list',
			'rejected'			=> 'Reject'
		), $status
	);
	if(isset($key)){
		$fieldset["fieldset_".$key+1] = array(
			'legend'=> "Evaluation Remarks",
			'attributes' => array('class'=>'fieldset_class', 'id'=>'', 'style'=>'margin: auto'),
			'fields' => array($remarks, $Status, $mode_field, $test_id, $app_id)
		);
	}
	
	$myForm->fieldSets = $fieldset;
	$myForm->init();
	
	if(isset($message['msgType']) && ($message['msgType'] == 'success')){
		echo '<script type ="text/javascript">setTimeout(function(){ parent.wb.getFormLayout().collapse(); },5000);</script>';
	}
}
?>
</div>
<script type="text/javascript">
disableInputs();
function inputValidate(){
    var error = Array();
	msg = '';
	
	var x = document.getElementById("evaluation_form").elements;
	for(i=0; i<x.length; i++){
		if(x[i].value==''){
			remove_name = x[i].name.split("][");
			if(remove_name[1]){
				name	= remove_name[1].replace("]", "");
				name	= name.replace("_", " ");
				qu_no	= remove_name[0].replace("QEF[", "");
				error.push(["Question "+qu_no+" "+name+" cannot be empty."]);
			}else{
				name	= x[i].name.replace("_", " ");
				if(name=="remarks"){name="Remarks"}
				if(name=="status"){name="Status"}
				if(name!="answer"){
					error.push([name+" cannot be empty."]);
				}
			}
		}
	}
	document.getElementById('info2').innerHTML= error;
    if(error.length > 0){
		return error;
  	}else{
		document.getElementById('info2').innerHTML= '';
  		return true;	
  	}
}

function disableInputs(){
	if(document.getElementById('mode').value=='view'){
		var x = document.getElementById("evaluation_form").elements;
		for(i=0; i<x.length; i++){
			x[i].disabled = true;
		}
	}
}
</script>