<?php
/**
 * Auto Generated CI View
 *
 *
 * This is the work bench implementaion script
 *
 * @package			HRM\view\job_definitions_wb
 * @version			1.0
 * @uses
 * @see
 * @copyright		2016, BizyCorp Internal Systems Development
 * @license			private, All rights reserved
 * @author			CIGen (Automated CI Code Generator)
 *
 */

if ( ! defined('BASEPATH')) exit('No direct script access allowed');

/**
 *  This is the work bench implementaion script
 *	
 *	This script creates an instnce of the work bench object for job_definitions table and 
 *  facilitates the users with the table maintenence in a user friendly way.
 *  All the call back functions are written on this page to be called by the toolbar buttons.
 *
 * @package      HRM\view\job_definitions_wb
 * @version      1.0
 * @copyright    2016, BizyCorp Internal Systems Development
 * @license      private, All rights reserved
 * @author       CIGen (Automated CI Code Generator)
 * @uses
 * @see
 * @created    	Mar 25, 2016
 * @modified   	Mar 25, 2016
 * @modification
 */
class job_definitions_wb{
	// Just a dummy clas for phpdoc to catch the doc header.
}

if(isset($_SESSION['user_name'])){ 
	$user_name=$_SESSION["user_name"];
	$user_type=$_SESSION["user_type"];
}else{
	$user_name='';
	$user_type='';	
}

/**
 * Include the common header file
 */
require_once('js-css-loader.php');

$log_create = new log_object();
$log_create->set_disable($this->config->item('log_status'));
$log_create->set_userDetails($user_name, $user_type);
$log_create->set_otherDetails(array('Mode'=>'job_definitions_WB','Data'=>'-'));
$log_create->init();
?>
<style>
body{ margin:0;}
</style>

<div id="infor" style="width: 99.9%; display: none; height: 50px !important; position: absolute; z-index: 1000;"></div>
<div id="divBench" style="width:99.9%;height:98%;"></div>

<script>
//CORS handling by WCD
window.addEventListener("message", receiveMessage, false);
function receiveMessage(event){
	switch (event.data){
		case "setSize":
			wbFb.getWb().setSizes();
		break;
	}
}
//-------------------------------

wb = new workbenchObj();
wb.gridVarName = 'dataGrid';
wb.url = '<?php echo base_url()?>index.php/job_definitions/loadWB/job_definitions_view/';
wb.gridreloadurl = '<?php echo base_url()?>index.php/job_definitions/index/true/20/0/data_feed_template/XML/';
wb.workBench = document.getElementById("divBench");

var myform;
wb.form = myform;
wb.formVar = 'myform';

//can pass properties to manuputate toolbar objects
wb.toolBarComponent = 'grid';
wb.toolBarIconpath = '<?php echo $this->config->item('image_url');?>';
wb.toolBarDefaultitems = true;      //add defult items

wb.toolBarItems = [
	{ id:'post', type:'button', img:'send.gif',	imgdis:'send.gif', text:'TMS Posting'},
	{ id:'adve', type:'button', img:'page.gif',	imgdis:'page.gif', text:'Advertorial'},
	{ id:'offe', type:'button', img:'page.gif',	imgdis:'page.gif', text:'Letter'},
	{ id:'rule', type:'button',	img:'page.gif',	imgdis:'page.gif', text:'Rules'},
	{ id:'trad', type:'button',	img:'page.gif',	imgdis:'page.gif', text:'Test'},
	{ id:'rema', type:'button',	img:'page.gif',	imgdis:'page.gif', text:'Remarks'},
	{ id:'inte', type:'button',	img:'page.gif',	imgdis:'page.gif', text:'Guide'}
];
wb.toolBarDisabled = ['edit','delete','posting','advertorial','offer_letter','rules','trade_test','remarks','interview_guide'];

wb.toolBarVar = 'gridtoolbar';
wb.formBarComponent = 'form';
wb.formBarIconpath = '<?php echo $this->config->item('image_url');?>';
wb.formBarDefaultitems = true;

wb.formUrl = '<?php echo base_url()?>index.php/job_definitions/loadForm/';
wb.formdataUrl = '<?php echo base_url()?>index.php/job_definitions/data_form/';
wb.formDataUrl = '<?php echo base_url()?>index.php/job_definitions/save/';
wb.formDelUrl = '<?php echo base_url()?>index.php/job_definitions/delete/';

wb.formWidth = 800;
wb.gridLayoutWidth = 600;

/*======== Begin callback function list==========*/

var doAddForm = function (){
	var isIdset = formBar.getPosition('save');
	if (debug) console.log('send position :-',isIdset);

	if(isIdset===null){
		formBar.addButton('save',0,'Save','save.gif','save_dis.gif');
		formBar.removeItem('delete');
		formBar.enableItem('reset');
	}
	var myLayout = wb.getFormLayout();
	myLayout.attachURL(wb.formdataUrl+'add');
	return true;
};

var doEditForm = function () {
	var isIdset = formBar.getPosition('save');
	if (debug) console.log('send position :-',isIdset);

	if(isIdset===null){
		formBar.addButton('save',0,'Save','save.gif','save_dis.gif');
		formBar.removeItem('delete');
		formBar.enableItem('reset');
	}

	var search = wb.getSearch();
	var row_id = search.grid.getSelectedRowId();
	var myEdit = row_id;
	edit = myEdit.replace(/,/g,"~");
	
	var myLayout = wb.getFormLayout();
	myLayout.attachURL(wb.formdataUrl+'edit/'+edit);
	if (debug) console.log('Edit form load url is :-',wb.formdataUrl+edit);
	return true;
};

var doDeleteForm = function (){
	var isIdset = formBar.getPosition('delete');
	if (debug) console.log('send position :-',isIdset);
	if(isIdset===null){
		formBar.addButton('delete',0,'Delete','delete.png','delete_dis.png');
		formBar.removeItem('save');
		formBar.disableItem('reset');
	}

	var search = wb.getSearch();
	var row_id = search.grid.getSelectedRowId();
	var myEdit = row_id;
	edit = myEdit.replace(/,/g,"~");

	var myLayout = wb.getFormLayout();
	myLayout.attachURL(wb.formdataUrl+'delete/'+edit);

	if (debug) console.log('Delete form load url is :-',wb.formdataUrl+'delete/'+edit);
	return true;
};

var doDelete = function (){
	var myLayout = wb.getFormLayout();
	ifr = myLayout.getFrame();

	var row_id = dataGrid.getSelectedRowId();
	var loader = dhtmlxAjax.getSync(wb.formDelUrl+row_id);
	if (debug) console.log('formDelUrl :- ',wb.formDelUrl+row_id);

	if(loader){
		ifr.contentWindow.document.getElementById('info2').innerHTML= 'Job definition deleted successfully!.';
      	setTimeout(doGridUpdate,3000);
	}
};
	
 /**
 * thhis function can be used to delete record without loading a form, 
 * this wil ask for confirmation and proceed, 
 * developer should updated only the delete callback to use this function
 */
var doDeleteWithoutForm = function (){
	var search = wb.getSearch();
	var prime_id= "id:"+search.grid.cells(search.grid.getSelectedId(),0).getValue();
	var b = (confirm('Are you sure you want to delete this record?'));

	if(b){
		var loader = dhtmlxAjax.getSync(wb.formDelUrl+prime_id);
		if (debug) console.log('formDelUrl :- ',wb.formDelUrl+prime_id);
		if(loader) {
			document.getElementById('info').innerHTML= 'Job definition deleted successfully!.';
			setTimeout(doGridUpdate,3000);
		}
	}
};

var doSave = function (){
	var myLayout = wb.getFormLayout();
	ifr = myLayout.getFrame();

	var checking_form = "";
	checking_form = ifr.contentWindow.inputValidate();

	if (checking_form == true) {
		var returnVal = false;
		ifr.contentWindow.document.forms[0].submit();
		setTimeout(doGridUpdate,3000);
		return returnVal
	}else{
		var er =checking_form;
		var error_text="";
		for(var i=1; i<= er.length; i++){ error_text += er[i-1]+'<br />'; }
		console.log('error_text :-',error_text+er.length);
		ifr.contentWindow.document.getElementById('info2').innerHTML= error_text;
	}
};

var doGridUpdate = function (){
	console.log('formstatus :-',ifr.contentWindow.document.getElementById('formstatus').value);
	if(ifr.contentWindow.document.getElementById('formstatus').value !='failure'){
		//myLayout.collapse();
		//search.grid.updateFromXML(wb.grid.xmlLoader.filePath,true,true)
		dataGrid.clearAndLoad(wb.grid.xmlLoader.filePath)
	}
}
  	
var doResetForm = function (){
	var returnVal = false;
	var myLayout = wb.getFormLayout();

	if (_isIE) {
		myLayout.getFrame().contentWindow.document.forms[0].reset();
	} else {
		myLayout.getFrame().contentDocument.forms[0].reset();
	}
	return returnVal;
};

var doViews_loading = function (view_file) {
	var row_id = dataGrid.getSelectedRowId();
	if (debug) console.log('View grid row id : :-',row_id);
	
	//hidding form buttons
	switch (view_file){
		case 'TSposting':
			var con_posting = (confirm('Are you sure you want to post Advertorial in Time Sheet Notice Board?'));
			if(con_posting){
				var row_id = search.grid.getSelectedRowId();
				var param = "job_id="+row_id;
				
				var url = '<?=site_url()?>/tms_post_controller/data_form/tms_posting/';
			   	var ldr = dhtmlxAjax.postSync(url,param);
				
			   	if(ldr.xmlDoc.responseText==1){
			   		success_msg('TMS Posting Successful!','infor');
			   	}else{
			   		error_msg(ldr.xmlDoc.responseText,'infor');
			   	}
			}
        break;
		case 'advertorial':
			var isIdset = formBar.getPosition('save');
	    	if(isIdset===null){
	    		formBar.addButton('save',0,'Save','save.gif','save_dis.gif');
	    		formBar.removeItem('delete');
	    		formBar.enableItem('reset');
	    	}
	    	formBar.hideItem('save');
	    	formBar.hideItem('reset');
	    	
        	//data = row_id+'|||'+view_file;
    		var url = '<?=site_url()?>/job_definitions/ad_display/?post_id='+row_id;
    		if (debug) console.log('View form URL :-',url);
			
    		var myLayout = wb.getFormLayout();
    		myLayout.attachURL(url);
    		return true;
        break;
    	default:
    		var isIdset = formBar.getPosition('save');
	    	if (debug) console.log('send position :-',isIdset);
			
	    	if(isIdset===null){
	    		formBar.addButton('save',0,'Save','save.gif','save_dis.gif');
	    		formBar.removeItem('delete');
	    		formBar.enableItem('reset');
	    	}
	    	formBar.hideItem('save');
	    	formBar.hideItem('reset');
	    	
        	data = row_id+'|||'+view_file;
    		var url = '<?=site_url()?>/job_definitions/view/'+data;
    		if (debug) console.log('View form URL :-',url);
			
    		var myLayout = wb.getFormLayout();
    		myLayout.attachURL(url);
    		return true;
        break;
	}
};//end of doViewForm

function success_msg(msg,object_id){
	s_msg = '<div class="alert alert-success" style="text-align:center;"><strong>'+msg+'</strong></div>';
	$("#"+object_id).append(s_msg);
	$("#"+object_id).fadeIn();
	$("#"+object_id).delay(2000).fadeOut(1000, function (){
		$("#"+object_id).empty();
	});
}
function error_msg(msg,object_id){
	s_msg = '<div class="alert alert-danger" style="text-align:center;"><strong>'+msg+'</strong></div>';
	$("#"+object_id).append(s_msg);
	$("#"+object_id).fadeIn();
	$("#"+object_id).delay(2000).fadeOut(100, function (){
		$("#"+object_id).empty();
	});
}

wb.setGridAddCallback(doAddForm);
wb.setGridEditCallback(doEditForm);
wb.setGridDelCallback(doDeleteForm);
//wb.setGridDelCallback(doDeleteWithoutForm);
wb.setFormSaveCallback(doSave);
wb.setFormResetCallback(doResetForm);

//search is active in toolbar
wb.searchactive = 'enable';
//search should be updated by the developer depend on the req
var mySearchColumns = [
	{type:"text", name: 'job_definitions/designation', 		id: 'des', 		placeholder: 'Designation!',	size: '11', index: 1 },
	{type:"filler", name: 'job_definitions/work_type', 		id: 'wor_typ', 	placeholder: 'Work Type!',		size: '11', index: 2 },
	{type:"text", name: 'job_definitions/accountability',	id: 'acc', 		placeholder: 'Accountability!',	size: '11', index: 3 },
	{type:"filler", name: 'job_definitions/job_profile', 	id: 'job_pro', 	placeholder: 'Job Profile!',	size: '11', index: 4 },
	{type:"text", name: 'job_definitions/probation_period', id: 'pro_per', 	placeholder: 'Probation Period!',size: '11', index: 5 },
	{type:"text", name: 'job_definitions/probation_rate', 	id: 'pro_rat', 	placeholder: 'Probation Rate!',	size: '11', index: 6 },
	{type:"text", name: 'job_definitions/confirmed_rate', 	id: 'con_rat', 	placeholder: 'Confirmed Rate!',	size: '11', index: 7 },
	{type:"text", name: 'job_definitions/currency', 		id: 'cur', 		placeholder: 'Currency!',		size: '11', index: 8 },
	{type:"text", name: 'staff__XML/manager_name', 			id: 'man_nam', 	placeholder: 'Manager Name!',	size: '11', index: 9 },
	{type:"text", name: 'job_definitions/hire_lead_time', 	id: 'hir_tim', 	placeholder: 'Hire Lead Time!',	size: '11', index: 10 },
	{type:"text", name: 'job_definitions/Status', 			id: 'Sta', 		placeholder: 'Status!',			size: '11', index: 11 },
	{type:"text", name: 'job_definitions/min_work_hrs', 	id: 'min_hrs', 	placeholder: 'Min Work Hrs!',	size: '11', index: 12 },
	{type:"text", name: 'job_definitions/max_work_hrs', 	id: 'max_hrs', 	placeholder: 'Max Work Hrs!',	size: '11', index: 13 },
	{type:"text", name: 'job_definitions/new_app_alert', 	id: 'app_ale', 	placeholder: 'New App Alert!',	size: '11', index: 14 },
	{type:"text", name: 'job_definitions/test_alert', 		id: 'tes_ale', 	placeholder: 'Test Alert!',		size: '11', index: 15 },
	{type:"text", name: 'job_definitions/intviw_alert', 	id: 'int_ale', 	placeholder: 'Interview Alert!',size: '11', index: 16 },
	{type:"text", name: 'job_definitions/gen_alert', 		id: 'gen_ale', 	placeholder: 'Gen Alert!',		size: '11', index: 17 },
];
wb.searchColumns = mySearchColumns;
wb.init();
if (debug) console.log('wb  :-',wb);

/** grid tool bar button events **/
wb.toolBarVar.attachEvent('onClick', function(buttonid){
	formBar.showItem('save');
	formBar.showItem('reset');
	
	if(buttonid==='post') { doViews_loading('TSposting'); }
	if(buttonid==='adve') { doViews_loading('advertorial'); }
	if(buttonid==='offe') { doViews_loading('offer_template'); }
	if(buttonid==='rule') { doViews_loading('rules_template'); }
	if(buttonid==='trad') { doViews_loading('trade_test'); }
	if(buttonid==='rema') { doViews_loading('Remarks'); }
	if(buttonid==='inte') { doViews_loading('intview_guide'); }
});

var myForm = wb.getFormToolbar();
myLayout = wb.getFormLayout();
formBar = myForm.toolbar;
formBar.attachEvent('onClick', function(buttonid){
	if(buttonid==='delete') { doDelete(); }
});
</script>
