<?php
/**
 * Login page
 *
 *
 * This file serve as a login page for profile users.
 *
 * @package            
 * @version            
 * @uses               
 * @see                
 * @copyright          2016, BizyCorp Internal Systems Development
 * @license            private, All rights reserved
 * @created            Apr 20, 2016 by user
 * @modified           Apr 20, 2016 by user
 * @modification       
 *
 */
include 'html_head.php'; 
?>
<div class="container">
<div class="row">

<?php
	//var_dump($result);
	foreach ( $msg as $err){
		if($err['type'] == 'error'){
			?>
			<div class="alert alert-danger" role="alert">
				<strong>Error!</strong> <?php echo $err['msg'];?>
			</div>
			<?php 				
		}else if($err['type']=='sucess'){
			?>
			<div class="alert alert-success" role="alert">
				<strong>Success!</strong> <?php echo $err['msg'];?> 
			</div>	
			<?php 		
		}
	}
?>

<div class="col-md-12"><!-- col-md-offset-3 col-md-offset-1-->

<form class="form-horizontal" method="post" action="<?php //echo site_url('profiles/edit')?>" enctype="multipart/form-data">
	
<div class="panel panel-default">
  <div class="panel-heading"><strong>Log In</strong></div>
  <div class="panel-body">
	
		<!-- username -->
		<div class="form-group">
		  <label class="col-md-4 control-label" for="email">Email ID</label>
		  <div class="col-md-4">    
		    <input id="email" name="email" type="text" placeholder="Email ID" class="form-control " required="" value="" >
		  </div>
		</div>
	
		<!-- password -->
		<div class="form-group">
		  <label class="col-md-4 control-label" for="password">Password</label>
		  <div class="col-md-4">    
		    <input id="password" name="password" type="password" placeholder="Password" class="form-control " required="" value="" >
		  </div>
		</div>

		<div class="col-md-12  text-center">
			<input type="hidden" name="csrf_user_form_token" value="<?php echo $this->security->get_csrf_hash();?>">
		</div>

		<!-- submit -->
		<div class="form-group">
		  <label class="col-md-4 control-label" for=""></label>
		  <div class="col-md-4">    
		    <button type="submit" class="btn btn-primary" name="login">Log In</button>
		  </div>
		</div>
		
		
		
		
</div><!-- end col md 8 -->

</form>

</div><!-- end of col-md-12 -->
</div><!-- end row -->
</div><!-- end content -->
<?php 
//form data validation and js codes are in html_footer_include.php file
include 'html_footer_include.php';
include 'navigation.php';
?>
