<?php

	/**
	 * Manually Generated CI View
	 *
	 *
	 * This is main view file of HRM system 
	 *
	 * @package			HRM\view\home_view
	 * @version			1.0
	 * @uses
	 * @see
	 * @copyright		2016-2017, BizyCorp Internal Systems Development
	 * @license			private, All rights reserved
	 * @author			CIGen (Automated CI Code Generator)
	 *
	 */
		
	if ( ! defined('BASEPATH')) exit('No direct script access allowed');

	/**
	 *  This is main view file of HRM system 
	 *  
	 *  
	 *  It contains the front end (view) of that. Its created with dhtmlx grid component.
	 *  Usage :- controller function pass parameters to view to implement the view. 
	 *
	 * @package      HRM\view\home_view
	 * @version      1.0
	 * @copyright    2016-2017, BizyCorp Internal Systems Development
	 * @license      private, All rights reserved
	 * @author       CIGen (Automated CI Code Generator)
	 * @uses
	 * @see
	 * @created    	8/8/2016
	 * @modified   		Jan 05, 2017 by nuwan.wickramarathne,
	 * @modification	"Interview Examinations" accordion renamed as "Trade/Other Tests" and "Staff Requests" renamed as "Staffing Requests"
	 */
class home_view{
	// 	Just a dummy clas for phpdoc to catch the doc header.
}
@session_start();

if(isset($_SESSION['user_name'])){
	$user_name=$_SESSION["user_name"];
	$user_type=$_SESSION["user_type"];
}else{
	$user_name='';
	$user_type='';
}

$log_create = new log_object();
$log_create->set_disable($this->config->item('log_status'));
$log_create->set_userDetails($user_name, $user_type);
$log_create->set_otherDetails(array('Mode'=>'home_view','Data'=>'-'));
$log_create->init();

/**
 * Include the common header file
 */
require_once('js-css-loader.php');
$functions = $_SESSION['user_functions_'.$this->config->item('UAACS_APPID')];

$job_create			= in_array(MANAGE_JOB_CREATE,$functions)? 1:0;
	$job_deffs 		= in_array(MANAGE_JOB_DEFINITION,$functions)? 1:0;
	$hiring_step	= in_array(MANAGE_HIRING_STEPS,$functions)? 1:0;
		$step_deffinition	= in_array(MANAGE_STEP_DEFFINITION,$functions)? 1:0;
		$test_type			= in_array(MANAGE_TEST_TYPE,$functions)? 1:0;
		$test_questions		= in_array(MANAGE_TEST_QUESTIONS,$functions)? 1:0;
$applicants 	= in_array(MANAGE_APPLICANTS,$functions)? 1:0;
$staff_requests = in_array(STAFF_REQUESTS,$functions)? 1:0;
$access_log 	= in_array(ACCESS_LOGS,$functions)? 1:0;

//$add_staff_reqs 			= in_array(ADD_STAFF_REQUESTS,$functions)? 1:0;

$manage_interview			= in_array(MANAGE_INTERVIEW,$functions)? 1:0;
	$manage_interview_schedules = in_array(MANAGE_INTERVIEW_SCHEDULES,$functions)? 1:0;
	$manage_interview_preps 	= in_array(MANAGE_INTERVIEW_PREPS,$functions)? 1:0;
	$manage_tests 				= in_array(MANAGE_TESTS,$functions)?1:0;
	
$test_evl	= in_array(TEST_EVL,$functions)? 1:0;
?>
<html>
<head>
	<title>HRM System</title>
	<script src="https://code.jquery.com/jquery-1.12.4.min.js" integrity="sha256-ZosEbRLbNQzLpnKIkEdrPv7lOy9C27hHQ+Xp8a4MxAQ=" crossorigin="anonymous"></script>
	
	<!-- core CSS     -->
    <link href="<?=base_url()?>public/css/bootstrap.min.css" rel="stylesheet" />
    <link href="<?=base_url()?>public/css/material-dashboard.css" rel="stylesheet" />
    <link href="<?=base_url()?>public/css/custom.css" rel="stylesheet" />

    <!-- Fonts and icons -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <link rel="stylesheet" type="text/css" href="https://fonts.googleapis.com/css?family=Roboto:300,400,500,700|Material+Icons" />
    <link href="http://fonts.googleapis.com/css?family=Open+Sans:300italic,400italic,600italic,700italic,400,300,600,700" rel="stylesheet">
	<link href="http://fonts.googleapis.com/css?family=Lato:300,400,700,300italic,400italic,700italic" rel="stylesheet">
	
    <!--   Core JS Files   -->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.1.1/jquery.min.js"></script>
</head>

<body>
    <div class="container">
        <div class="sidebar" data-active-color="rose" data-background-color="black" data-image="">
            <div class="logo">
				<!-- <img src="<?=base_url()?>public/image/bizymoms_ekwa_logo.png" /> -->
            	<a href="" class="simple-text">HRM System</a>
            </div>
            <div class="sidebar-wrapper">
                <div class="user">
                    <div class="photo">
                    	<div class="fa fa-user-circle profile_image"></div>
                        <!-- <img src="<?=base_url()?>public/image/bizymoms_ekwa_logo.png" class="profile_image" /> -->
                    </div>
                    <div class="info">
                        <a data-toggle="collapse" data-target="#profile">
                        	<?=$_SESSION['user_name'];?> <b class="caret"></b>
                        </a>
                        <div class="collapse" id="profile">
                            <ul class="nav">
                                <li><a onclick="setCookie()" title="Set current role as default role">Set Default Role</a></li>
                                <!-- <li><a href="#">Edit Profile</a></li>
                                <li><a href="#">Settings</a></li> -->
                            </ul>
                        </div>
                    </div>
                </div>
                
                <div class='row nav_bar_left'>
	                <ul class="nav">
	                    <li class="active menu">
	                        <a onClick="load_section('Dashboard','Dashboard','<?=site_url()?>/dashboard')"><i class="material-icons">Dashboard</i><p>Dashboard</p></a>
	                    </li>
	                    <? if($job_create==1){?>
	                    <li>
	                        <a data-toggle="collapse" data-target="#job_create"><i class="material-icons">Job</i><p>Job Creation <b class="caret"></b></p></a>
	                        <div class="collapse" id="job_create">
	                            <ul class="nav">
	                            	<? if($job_deffs==1){?>
	                                <li class="menu"><a onClick="load_section('Job Creation','Job Definitions','<?=site_url()?>/job_definitions/loadWB')"><p>Job Definitions</p></a></li>
	                                <? }?>
	                                <li>
	                                	<? if($hiring_step==1){?>
	                                    <a data-toggle="collapse" data-target="#hiring_steps">Hiring Steps <b class="caret"></b></a>
	                                    <div class="collapse" id="hiring_steps">
	                                        <ul class="nav">
	                                        	<? if($step_deffinition==1){?>
	                                            <li class="menu"><a onClick="load_section('Hiring Steps','Steps Definitions','<?=site_url()?>/interview_definitions/loadwb')"><p>Steps Definitions</p></a></li>
	                                            <? } if($test_type==1){?>
	                                            <li class="menu"><a onClick="load_section('Hiring Steps','Test Types','<?=site_url()?>/interview_tests/loadWB')"><p>Test Types</p></a></li>
	                                            <? } if($test_questions==1){?>
	                                            <li class="menu"><a onClick="load_section('Hiring Steps','Test Questions','<?=site_url()?>/interview_test_questions/loadWB')"><p>Test Questions</p></a></li>
	                                            <?}?>
	                                        </ul>
	                                    </div>
	                                    <?php }?>
	                                </li>
	                            </ul>
	                        </div>
	                    </li>
	                    <?php }if($applicants==1){?>
	                    <li class="menu"><a onClick="load_section('Applications','Applications','<?=site_url()?>/job_applications/loadwb')">
	                    	<i class="material-icons">Applications</i>
	                    	<p>Applications</p>
	                    </a></li>
	                    <?php }if($test_evl==1){?>
	                    <li class="menu"><a onClick="load_section('Test evaluation','Test evaluation','<?=site_url()?>/exam_eval/loadWB')">
	                    	<i class="material-icons">Test evaluation</i>
	                    	<p>Test Evaluation</p>
	                    </a></li>
	                    <?php }if($manage_interview==1){?>
	                    <li>
	                        <a data-toggle="collapse" href="#componentsExamples"><i class="material-icons">Interview</i><p>Interview<b class="caret"></b></p></a>
	                        <div class="collapse" id="componentsExamples">
	                            <ul class="nav">
	                            	<!-- <li class="menu"><a><p>Pending</p></a></li> -->
	                            	<?php if($manage_interview_schedules==1){?>
	                                <li class="menu"><a onClick="load_section('Interview','Interview Schedules','<?=site_url()?>/interview_schedules/loadWb')"><p>Schedules</p></a></li>
	                                <?php }if($manage_interview_preps==1){?>
	                                <li class="menu"><a onClick="load_section('Interview','Questionnaires','<?=site_url()?>/interview_prep/loadWB')"><p>Questionnaires</p></a></li>
	                                <?php }if($manage_tests==1){?>
	                                <li class="menu"><a onClick="load_section('Interview','Control Panel','<?=site_url()?>/interview_panel/loadWB/36')"><p>Control Panel</p></a></li>
	                                <?php }?>
	                            </ul>
	                        </div>
	                    </li>
	                    <?php }if($staff_requests==1){?>
	                    <li class="menu"><a onClick="load_section('Staffing','Staffing Requests','<?=site_url()?>/staff_requests/loadWB')">
	                    	<i class="material-icons">Staffing</i>
	                    	<p>Staffing Requests</p>
	                    </a></li>
	                    <?php }if($access_log==1){?>
	                    <li class="menu"><a onClick="load_section('Access Logs','Access Logs','<?=site_url()?>/accesslog_controller')">
	                    	<i class="material-icons">Logs</i>
	                    	<p>Access Logs</p>
	                    </a></li>
	                    <?php } ?>
	                </ul>
				</div>
            </div>
        </div>

        <div class="main-panel col-xs-9" style="float:right;">
            
			<!-- grid location -->
            <div class="content main_body">
                <div class="card">
                    <div class="card-content">
                        <h4 class="card-title col-xs-6" id="subtitle"></h4>
                        
                        <nav class="navbar navbar-transparent navbar-absolute col-xs-6">
			                <div class="container-fluid">
			                    <div class="collapse navbar-collapse">
			                        <ul class="nav navbar-nav navbar-right">
										<li class="dropdown">
			                                <?php  if (UAACS_MOOD) { ?>
											    <form action='#' method='post' enctype='multipart/form-data' name='roleform' id='roleform' style='display:inline;'>
											    	<select name='user_role' id='user_role'onchange='login()' style='font-size:0.75em;'>
											    		<?php foreach ($_SESSION['roles_'.$this->config->item('UAACS_APPID')] as $roleid => $role){?>
												    		<option value="<?=$roleid?>" <?=$role['ACTIVEROLE']?"selected='selected'":""?> ><?=$role['NAME']?></option>
											    		<?php } ?>
											    	</select>
											    	<input type='hidden' name='UAACS_logout' value='no' id='UAACS_logout' />
											    </form>
											<?php } ?>
			                            </li>
			                            <!-- <li class="dropdown">
			                                <a href="notice" class="dropdown-toggle" data-toggle="dropdown">
			                                    <i class="fa fa-bell" title="Genaral Notifications"></i>
			                                    <span class="notification">5</span>
			                                    <p class="hidden-lg hidden-md">Notifications</p>
			                                </a>
			                                <ul class="dropdown-menu" id='notice'>
			                                    <li><a href="#">Mike John responded to your email</a></li>
			                                    <li><a href="#">You have 5 new tasks</a></li>
			                                    <li><a href="#">You're now friend with Andrew</a></li>
			                                    <li><a href="#">Another Notification</a></li>
			                                    <li><a href="#">Another One</a></li>
			                                </ul>
			                            </li>
			                            <li class="dropdown">
			                                <a href="email_notification" class="dropdown-toggle" data-toggle="dropdown">
			                                    <i class="fa fa-envelope" title="Email Notification"></i>
			                                    <span class="notification">10</span>
			                                    <p class="hidden-lg hidden-md">Email</p>
			                                </a>
			                                <ul class="dropdown-menu" id="email_notification">
			                                    <li><a href="#">Email 1</a></li>
			                                    <li><a href="#">Email 2</a></li>
			                                    <li><a href="#">Email 3</a></li>
			                                    <li><a href="#">Email 4</a></li>
			                                    <li><a href="#">Email 5</a></li>
			                                </ul>
			                            </li>
			                            <li class="dropdown">
			                                <a data-target="birthday_notification" class="dropdown-toggle" data-toggle="dropdown">
			                                    <i class="fa fa-birthday-cake" title="Birthday Notification"></i>
			                                    <span class="notification">2</span>
			                                    <p class="hidden-lg hidden-md">Birthday</p>
			                                </a>
			                                <ul class="dropdown-menu" id="birthday_notification">
			                                    <li><a href="#">Birthday 1</a></li>
			                                    <li><a href="#">Birthday 2</a></li>
			                                </ul>
			                            </li> -->
			                            <li class="dropdown">
			                                <a id='userName' href='javascript:void(0)' onclick='logout()' title='Click to logoff'>
			                                    <i class="fa fa-sign-out" title="Log Out"></i>
			                                </a>
			                            </li>
			                            <li class="separator hidden-lg hidden-md"></li>
			                        </ul>
			                    </div>
			                </div>
			            </nav>
                        
                        <div class="row layout_body">
                        	<!-- layout to add grid -->
                            <div class="col-md-12 table-responsive" id="layout_body" style="height:90%;">
								
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            
            <!-- Footer -->
            <footer class="footer">
                <div class="container-fluid">
                    <p class="copyright pull-right" style="font-size:small; color:darkgray; font-weight:bold;">&copy; 1997-<?=date("Y")?> Bizycorp. All rights reserved.</p>
                </div>
            </footer>
        </div>
    </div>
</body>
</html>
<script>
function login(){
	document.getElementById('roleform').submit();
} 

function logout(){
	document.getElementById('UAACS_logout').value = 'yes';
	document.getElementById('roleform').submit();
	return false;
}

function setCookie(){
	c_name	= "defRoleId_<?=$this->config->item('UAACS_APPID');?>";
	value	= "<?=$_SESSION['roleId_'.$this->config->item('UAACS_APPID')]; ?>"
	exdays	= 30;
	
	var exdate = new Date();
	exdate.setDate(exdate.getDate() + exdays);
	
	var c_value = escape(value)+((exdays==null)?"":"; expires="+exdate.toUTCString());
	document.cookie = c_name + "=" + c_value;
	
	alert('Current Role set as default');
}

function addZero(i) {
    if(i<10) { i="0"+i; }
    return i;
}

var MainLayout = null;
function load_section(title, subtitle, url){
	if(MainLayout == null){
		document.getElementById('layout_body').innerHTML = "";
		var MainLayout = new dhtmlXLayoutObject("layout_body", "1C", "dhx_web");
		MainLayout.cells("a").hideHeader();
	}
	if(title=="Dashboard"){
		url = url+'/index/?date=<?=date("Y-m-d")?>';
	}
	MainLayout.cells('a').attachURL(url);
	titles_update(title, subtitle);
}
load_section('Dashboard','Dashboard','<?=site_url()?>/dashboard');

function titles_update(title, subtitle){
	document.getElementById('subtitle').innerHTML = subtitle;
}
titles_update('Dashboard', 'Dashboard');

$(".menu").click(function(){
	$(".menu").removeClass("active");
	$(this).addClass("active");
})
$(document).ready(function(){
    width_card = ($(document).width()-280)+"px";
    $(".main-panel").css("width", width_card); 
});
</script>
